commit a7239ec3793189b43a3fb5f2d8b14f4731287369
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Feb 8 20:06:58 2025 +0000

    Update README

commit 762f68a4000781d29695fb2788ec2b9186aef303
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Fri Feb 7 12:53:09 2025 +0000

    Add installation instructions using Snap

commit 485dbf17f52dd2d89aecab15706d606883fb766a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Feb 5 22:12:44 2025 +0000

    Set AC_CONFIG_AUX_DIR

commit 9a9a92fefff0351bfd8a722877e0a2e3eb956298
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Feb 4 12:36:11 2025 +0000

    Add link to snap package

commit 2743c9bbf3974f9d68eaa09dcbbdaff33b406e56
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Feb 1 22:19:56 2025 +0000

    Switched to strict

commit 24c63dd04484bae10974834c14bd373aba116b0f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Feb 1 22:11:30 2025 +0000

    Use desktop plugin to get fonts

commit b81d6d58719ffb714a4f00f999d6492349124358
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Feb 1 22:02:00 2025 +0000

    GUI working

commit 0671f04f0985ae5319f827c0df53c61e240b7c73
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Feb 1 21:17:00 2025 +0000

    Add more plugs

commit f7e652c3f0c8ea50ca855c3e0939ee933811a4cf
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jan 31 22:55:56 2025 +0000

    Trying to build Snap package

commit 4365092fc4923c4e2d5ac357090b17c1319dc510
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jan 19 12:17:13 2025 +0000

    Update copyright to 2025

commit 9e72bd26359414546b564871c084b4eedb9a3ebb
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Oct 25 23:13:04 2024 +0100

    Minor fix

commit 2b50d58b99f58d72948b390facb8d763b310a7f8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Oct 25 23:12:04 2024 +0100

    Remove configure.debian

commit 0421b472a0f4c171878b16e14d37c6becc770e12
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Oct 24 21:44:29 2024 +0100

    Removed broken openSuse installation instructions

commit 8a41b51a92c6fa75d37e4ae9ccf6d5a0efc40303
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Sep 22 14:05:42 2024 +0100

    qt6-svg-dev needed

commit 7eecaf110f598857e5ef61332fe204f84860b1a2
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 20 20:22:39 2024 +0100

    Update precached deps in Dockerfile.sid

commit b395bdad3d31130543a0ad5ffa7fec30ddb336e4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 20 20:16:10 2024 +0100

    Add libqt6svg6, libqt6svgwidgets6

commit de6e90d23b87f3cf7cd09e833714f47ce88fef1b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 20 20:12:54 2024 +0100

    Remove build command from compose file

commit c022749157f7f30389da66a0b67b93c7fbd15daf
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 20 20:08:07 2024 +0100

    Add Git for changelog to Ubuntu build

commit 018aab3068072ccf3bd76dd2f247b158bddd142c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 20 20:04:25 2024 +0100

    Update to version 1.33

commit 0c9a1296f993b4d183a0dc3852c89d11649e0e45
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 20 19:54:24 2024 +0100

    Extend search path for Qt tools

commit c848b58ef9eabd0d1b0d2688246afb38e9731d7c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 20 19:19:38 2024 +0100

    Add Docker files for running Anymeal in a container

commit b15743db56eaba1a401a8af9ee8065361d2ffc59
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 20 16:14:52 2024 +0100

    Simplify workflow file

commit ecbdba59ad77cbe213723c92686dac738c324d0f
Merge: 9255623 a61dd9d
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Fri Sep 20 15:50:10 2024 +0100

    Merge pull request #67 from bkmgit/qt6
    
    Update to Qt6

commit a61dd9dad55073414c8cd8154660c368e304b6b5
Merge: 4057c14 97cfd59
Author: Benson Muite <bkmgit@users.noreply.github.com>
Date:   Fri Sep 20 17:39:37 2024 +0300

    Merge pull request #4 from wedesoft/bkmgit-qt6
    
    Fixed builds for Appimage and Debian package

commit 97cfd59b2d58be41addd4a582ef11f1ccc3f5d43
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 20 15:30:39 2024 +0100

    Removed svg stuff

commit 02942c7c47565be590130167a1f2b38ff80642ff
Merge: 5fa1b07 4057c14
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 20 15:30:16 2024 +0100

    Merge branch 'qt6' of github.com:bkmgit/anymeal into bkmgit-qt6

commit 4057c1437001095b0a50c58cdf05bdd7dc4810a7
Merge: cc04d8b 9255623
Author: Benson Muite <bkmgit@users.noreply.github.com>
Date:   Fri Sep 20 17:27:44 2024 +0300

    Merge branch 'master' into qt6

commit cc04d8b32e8aaafc02d50228e739364b5dc67ec2
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Fri Sep 20 13:44:51 2024 +0100

    Add libb2-1.dll

commit 9677b838acd6ce2d13bb71d48c304beadef2a15e
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 20:54:54 2024 +0300

    Add Qt6-declarative to provide Qt6QML library
    
    Remove printsupport plugin library
    
    Update Windows Style library

commit d845b19435ef7207a16e5a504c819f73ff2754d9
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Thu Sep 19 21:15:16 2024 +0100

    Add /mingw64/share/qt6/bin to path when configuring under Mingw

commit 8162ad6b87586ba02b33a94bad26420862d18497
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Sep 19 18:53:30 2024 +0100

    Detect lconvert location

commit 2678bc1b9da702a954d741bb0ca47a48055e60ef
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 20:30:23 2024 +0300

    Typo fix

commit c53caea957a1ef25494d5ef3ddaf2e8b1b53b2c3
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Sep 19 18:47:21 2024 +0100

    Use correct package names in debian/control

commit a17a3732b5951e6bc4ff5b2b544249bd87a3378e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Sep 19 18:47:05 2024 +0100

    Fix detection of Qt6 tools

commit 926b02b7eb9d4a57826be4ea86926d791a3dfbfe
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 15:00:17 2024 +0300

    Check Windows dependencies

commit e22fd72b3aa06d9ebc5db14658f9212da176f653
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Sep 18 13:28:24 2024 +0100

    Update README

commit e2287fff4c57d46b503fbc4469be5ea4cd1b3add
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Sep 18 13:26:39 2024 +0100

    Add qt6-svg-dev to Debian package dependencies

commit 7f33292a0a2622bd8eadf01204afba11380facef
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Sep 18 13:20:46 2024 +0100

    Add configure.debian

commit 6fa4a378c7d55e44ac7ab229ff7dd30eae9427ee
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 15:13:20 2024 +0300

    Update to Qt6
    
    Unfixed bug at
    https://bugs.launchpad.net/ubuntu/+source/qtchooser/+bug/1964763
    /usr/bin/mcc links to qtchooser, but /usr/lib/qt6/libexec/mcc
    works correctly
    
    Add Fedora CI

commit d309c2dca66c1843de98096e1a52a64b6984f9a3
Author: Benson Muite <bkmgit@users.noreply.github.com>
Date:   Fri Sep 6 18:17:17 2024 +0300

    Fix typo
    
    Enable build on Fedora linux

commit 2380e2295e03469aac663568bd81a1b0de64c4c3
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Sep 4 12:10:12 2024 +0100

    typos

commit aac0ddbe4471e933d86ed83fbcda840c5475e382
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Aug 23 19:21:48 2024 +0100

    Add repology badge

commit d7d824f3822e888797f023fc6e58d2aa7bd07a01
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 11 20:43:41 2024 +0100

    Remove locale table from database

commit 4a8dc61336cf9c0016d564677f413464d30f5c22
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 11 20:41:14 2024 +0100

    Save export and import error file names in settings

commit 9604d64ace1b138527359bf3d51663ea46e07317
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 11 20:21:12 2024 +0100

    Use QSettings object to store settings

commit a84f4fb11368b8f5c26b3966313aea526fa66238
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 8 18:24:12 2024 +0100

    Add line edit to filter categories in category picker

commit c11031b35f6c60fc8bc1ca7979e5566ca27c4fc8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 8 18:23:54 2024 +0100

    Change uscan test invocation in Makefile.sid

commit 3f03947b98ddfb53ec4da7bf1cfd416966dc4385
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 8 17:46:26 2024 +0100

    Version 1.32

commit 1dfcaafdc3698bb2a2e71babe1dc47869485dfab
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Thu Aug 8 16:59:07 2024 +0100

    Duplicate startupnotify entry

commit a42e6b94d6f99ee9b008f214295999bba358629d
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Thu Aug 8 16:02:06 2024 +0100

    Set StartupNotify to false to avoid busy cursor

commit 8c4db9dee8b7f805121ab892d8009d79ffb17e5a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Aug 7 17:51:39 2024 +0100

    Detect unexpected end of file when importing Mealmaster files

commit ec33ce7031b9a72afd4adf86bb6cf76b55449989
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Aug 6 21:11:29 2024 +0100

    Persist application language in database

commit 5fa1b072cafc94688b9f3959652451c50a3864ec
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 20 15:06:20 2024 +0100

    remove libqt6svg6, libqt6svgwidgets6 from Depends to try without

commit b4f3d0b9d70e7d3ec17a5cdd1b1caa2ec128f8eb
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 20 15:05:58 2024 +0100

    Bugfix control file

commit abb25736601fa8590df4c04f53add69c1e98273a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 20 14:44:16 2024 +0100

    Get Makefile.appimage working

commit e5f03e87b7fd4d6903fd7cb533ccc93b27df8c88
Merge: 9dd1c64 8abc860
Author: Benson Muite <bkmgit@users.noreply.github.com>
Date:   Fri Sep 20 16:20:45 2024 +0300

    Merge pull request #3 from wedesoft/bkmgit-qt6
    
    Add libb2-1.dll

commit 8abc8602b97dc28a60f1f2b5a91e4ce08bf81396
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Fri Sep 20 13:44:51 2024 +0100

    Add libb2-1.dll

commit 9dd1c641c6c8d0561106fd045e9fc9c073ea727f
Merge: fd44d52 247a4e6
Author: Benson Muite <bkmgit@users.noreply.github.com>
Date:   Thu Sep 19 22:37:30 2024 +0300

    Merge pull request #2 from wedesoft/bkmgit-qt6
    
    Bkmgit qt6

commit 247a4e6dad02e64b835dbb80919a423d779ae1e3
Merge: 2f46662 fd44d52
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Sep 19 20:31:03 2024 +0100

    Merge branch 'qt6' of github.com:bkmgit/anymeal into bkmgit-qt6

commit 2f46662bff1ad69dd858e48b9721869a2e2a67d4
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Thu Sep 19 21:15:16 2024 +0100

    Add /mingw64/share/qt6/bin to path when configuring under Mingw

commit fd44d52560748298fc749f84584b8f8b73547d4a
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 22:26:00 2024 +0300

    Update Windows Style library

commit c74c47caf3ca27f07e6938dbebb3f077c49d3634
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 22:20:56 2024 +0300

    Check styles plugin libraries

commit 4c6399a13145ef6f42c95ab00fdebfabc294c919
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 22:10:17 2024 +0300

    Remove printsupport plugin library

commit 35a4b220ad6e571508a2df27e7cc587639e77bc8
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 21:41:00 2024 +0300

    Check for missing library

commit f4623a9793c71d0fa7c25cf7b02c94d8fa5a0533
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 21:25:10 2024 +0300

    Add Qt6-declarative to provide Qt6QML library

commit 46cc09a76a2f3f21e356a00587d2c1b4037bcd56
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 21:11:25 2024 +0300

    Debugging lupdate on Windows

commit 3158715c8c42c36e2fcbfbba5fdcf23728e47870
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 21:06:34 2024 +0300

    Debugging lupdate on Windows

commit 736abfaa49f9bc2f15e5a32056741df84c9cd480
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 20:59:27 2024 +0300

    Check lupdate and lrelease on Windows

commit edd8220eb7649b20323a4181f9aaa272e5f85998
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 20:54:54 2024 +0300

    Check lupdate and lrelease on Windows

commit a32ba7695ec0f4a9c863605c1bf03b9bb2bb7e6e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Sep 19 18:53:30 2024 +0100

    Detect lconvert location

commit b20e387ff472a803cb3e3a08306358a84760b069
Merge: 3c63edc 19eab18
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Sep 19 18:47:37 2024 +0100

    Merge branch 'qt6' of github.com:bkmgit/anymeal into bkmgit-qt6

commit 3c63edc8b6f9cae15e5ac3ddafe9ebec7662f203
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Sep 19 18:47:21 2024 +0100

    Use correct package names in debian/control

commit efcd1afb29b18d9d6651c4a53df39fb33225aeba
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Sep 19 18:47:05 2024 +0100

    Fix detection of Qt6 tools

commit 19eab1834f720b36c0094edc3fa419e598583b68
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 20:42:00 2024 +0300

    Check lupdate and lrelease on Windows

commit 4678216ba76f25c6b633e6b707e1b8791a5a068d
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 20:38:08 2024 +0300

    Check lupdate and lrelease on Windows

commit 1818ea5e9989013a6e0da4bf924698eeb0785a21
Merge: fa915e2 c5dfd80
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Sep 19 18:32:17 2024 +0100

    Merge branch 'qt6' of github.com:bkmgit/anymeal into bkmgit-qt6

commit c585b2ffd67eb11a5d0b5590d1e80480e3175770
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 20:30:23 2024 +0300

    Typo fix

commit c5dfd8013f387a2d468dbfabf022a8a4566e7b79
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 20:27:24 2024 +0300

    Check lupdate

commit c6a9febb7b861da2de62ea5477b63019f9ed45e2
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 20:22:18 2024 +0300

    Check paths again

commit 4a82a228d43ef3e8bee07d44fcda871638e404ce
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 20:11:38 2024 +0300

    Check lupdate on Windows

commit d11c9ec22402e3d1d5a671754f34024a960712eb
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 19:44:01 2024 +0300

    Verbose output

commit 04af0370460d1c6c5371d4e8d3d629bdcaa50cd2
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 19:38:32 2024 +0300

    Path updates

commit e37a7d5747be11da3996e03dbc934f9e054b8beb
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 19:30:37 2024 +0300

    Formatting fix

commit fbf371917f088996476a50c25bc0f0d6ae29b2b8
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 19:28:48 2024 +0300

    Update path export

commit c08fe683f4d64331ca9200b7d2df6a1474189959
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 18:28:05 2024 +0300

    debugging

commit 3ecd88e7d1f7772ae8b8ed611ed12c0f98be8c23
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 16:08:43 2024 +0300

    Remove unneeded messages

commit e1e44ce866f1e65c3d4b23a094fc73fedb867283
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 16:04:01 2024 +0300

    Update path when running make

commit 4c13a6fa36adf5f00006a57ee1d833388f033da7
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 15:59:30 2024 +0300

    Typo fix

commit 616f4aca3288ad9b2729f67d4376ce1c177440d5
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 15:54:44 2024 +0300

    Update Windows includes

commit 36bd5008f8f12d41af194e228cfb00a3d9ac50e7
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 15:47:59 2024 +0300

    Update Windows includes

commit 263db762f1cbe8d6a3179376119079ead79a7988
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 15:40:32 2024 +0300

    Update Windows include path

commit 051cffa7b747babb78a376a086073ca9834f935b
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 15:02:45 2024 +0300

    Further check mingw libraries and includes

commit 06924b507a0fcf2e1496ab550d17f4e0dd4cf2a9
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 13:53:09 2024 +0300

    Check mingw libraries and includes

commit 944f5e1af3fdf561ebcc221a8dad81a733b2ec6a
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 13:35:00 2024 +0300

    Check QT_DIR

commit 4c78c1119933cd3be20028e4c6c912fcdf9ade51
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 13:14:19 2024 +0300

    Find failing step

commit 0059bca6e61335920e11b662ba3a91a1de947f1a
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Thu Sep 19 09:51:30 2024 +0300

    Check QT_MOC works on Windows

commit fa915e2ce6e93ae72277ef53d6d3b617dae2a4be
Merge: fc47a0c 823daff
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Sep 18 19:44:27 2024 +0100

    Merge branch 'qt6' of github.com:bkmgit/anymeal into bkmgit-qt6

commit 823daffbdbe50c23571f325fc87941ab947797f8
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 17:31:36 2024 +0300

    Update path on Windows

commit 15b69d0c499edc81ff7e0c53fc6c12ddd7bb701d
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 17:25:21 2024 +0300

    Update path on Windows

commit c4add2ed0b8fda1a89a3e2a95dae9d1b36e11aff
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 17:09:08 2024 +0300

    Check OS version on Windows

commit e3d2a02c29bd4b41a4e8aa3f925aa673ccaf18ec
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 17:03:08 2024 +0300

    Update Windows dependencies

commit c50b394d769f64b92a484cc549887cb49125e054
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 16:51:00 2024 +0300

    Looking for QT_MOC Windows

commit 46ab01a8fc910c393e63e048d19490bac16c3b19
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 16:14:55 2024 +0300

    Looking for QT_MOC Windows

commit 30e73238e127bd94e26ca4ab1cae6ac9145d8b86
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 15:49:57 2024 +0300

    Looking for QT_MOC Windows

commit f488a7be1099a7e2a777ad279cdd397b7776db9e
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 15:45:14 2024 +0300

    Looking for QT_MOC Windows

commit e40d68f8cdc2d09a73aebb34424113f0e292d772
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 15:40:05 2024 +0300

    Looking for QT_MOC Windows

commit fc47a0cf1eb1690b915719e20503c72c91a50368
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Sep 18 13:28:24 2024 +0100

    Update README

commit 7b6f74d6d18377f9c699ddc5319fd17c1948568b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Sep 18 13:27:30 2024 +0100

    Whitespace fixes

commit 332ef7619e8c4395c50e8f3dfd91957500ef1546
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Sep 18 13:26:39 2024 +0100

    Add qt6-svg-dev to Debian package dependencies

commit ae2289f14bda221d8156178ee3daadba254b7f2c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Sep 18 13:20:46 2024 +0100

    Add configure.debian

commit 6e7de9479b4156f8ce336990212b8ad7e1ce84a2
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 15:07:44 2024 +0300

    Looking for QT_MOC Windows

commit bb39a1033882e5a1f7128a9a10ee982033164be2
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 15:00:17 2024 +0300

    Looking for QT_MOC Windows

commit 8b4e5b3ded842bbde3dd8a2c25ad4b0753f2583f
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 14:55:03 2024 +0300

    Looking for QT_MOC Windows

commit 7cfaf878c702f3d854b7d4c3b9adede4c8176379
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 14:46:14 2024 +0300

    Check libexec on Windows

commit e9712b570d887a394fa36f710ce31b5e67cdfd79
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 14:39:41 2024 +0300

    Check directories on Windows

commit 549ab2180999b4873a798202e16fe0b5b014de41
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 14:15:01 2024 +0300

    Remove unavailable pacakge

commit 918d9bc13ff290b119b990e77a3d067895823931
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 14:13:25 2024 +0300

    Check mingw packages

commit 5b4f764113e79db4db9835ecbe191a01c492c2bc
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 14:08:25 2024 +0300

    Check mingwo packages

commit ebdfecccbafb6325e7c2795a1e47b4da7947b4d0
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 07:35:34 2024 +0300

    Update Ubuntu package install

commit d98cf28f77cfcf5e5dfec0f0dd7ccfed7398462b
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 07:32:41 2024 +0300

    Remove caching

commit 918d7c2a57a458900c379c93224b7095e06888e4
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 07:31:17 2024 +0300

    Formatting fix

commit 8b6bdb0156bd5b985f328bff0ddd5dfb81988b3c
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 07:29:55 2024 +0300

    Use container for Ubuntu image

commit 8a896c66323967f5f583e758f7609ee95c8862e5
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 07:25:24 2024 +0300

    Update Ubuntu image

commit 5c860434a74cfca0216d845231f5d4b3f532c75f
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 07:22:48 2024 +0300

    Dependency update on Ubuntu 22.04

commit 81ed9ecaa97f884228796f54bf3b310d32f481b3
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 07:15:05 2024 +0300

    Dependency update on Ubuntu 22.04

commit e4d3a8c5179d9264f3a886e1d7d0adadaac01097
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 07:10:31 2024 +0300

    Check path on Ubuntu 22.04

commit c23defbf889735377a866cedb2d5ddd64e71a8c8
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 07:03:36 2024 +0300

    Path fix for Ubuntu 22.04

commit 955e045833ec27ad9fc343b8abea0e9ddab730c8
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Wed Sep 18 06:57:00 2024 +0300

    Revert to Ubuntu 22.04

commit 560e394979205fdcf735bf09c14e99e2aae42042
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 19:38:27 2024 +0300

    Add Qt6-translations on Windows

commit 7dba63b9cd16f948de0e578f93c8dec298b48992
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 19:20:29 2024 +0300

    Updated to Ubuntu 24.04

commit c3690a56f97faf10a11b10ce1aaf57442943e48f
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 19:15:28 2024 +0300

    Additional Fedora dependency

commit bbd23c7e58077345d1d9cdf35febe2cd39458d4f
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 19:08:44 2024 +0300

    Check for RANLIB

commit 5f4acf9757aa75c9c6db2ff39a298decefb69dfa
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 18:24:20 2024 +0300

    Missing Fedora dependencies

commit 87777322655f5d295a2b5ec4f9e5f9ab5c83003d
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 18:18:32 2024 +0300

    CI file command fix

commit fdc62ad0d76da5ed1e653f8f96f37bf9617be66b
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 18:13:01 2024 +0300

    CI file dependency fix

commit 08706a93ec9f71ad379db5fc615e746b93ae25c7
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 18:08:17 2024 +0300

    CI file formatting fix

commit 2d35dc03b2e6cc800464d14bf8b157c3a5171379
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 17:59:24 2024 +0300

    Add Fedora CI

commit 5003cbd0c0c8131607d4c928aad0c30112462159
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 17:12:42 2024 +0300

    Check if compiles

commit e64ce28681df44b6838ddb2f85d8f7be44ee889f
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 16:57:57 2024 +0300

    Update path
    
    Based on https://docs.github.com/en/actions/writing-workflows/choosing-what-your-workflow-does/workflow-commands-for-github-actions#example-of-adding-a-system-path

commit 23153426cc5c03368b5c50bd865e327b4cae839f
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 16:50:03 2024 +0300

    Modify how path is updated

commit f439d3c3d4d2bb349f8943c111fa6cf36488be4f
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 16:40:05 2024 +0300

    Update path to find correct moc on Ubuntu
    
    Unfixed bug at
    https://bugs.launchpad.net/ubuntu/+source/qtchooser/+bug/1964763
    /usr/bin/mcc links to qtchooser, but /usr/lib/qt6/libexec/mcc
    works correctly

commit 8c022362de904a8c92c3fa4ffe02f69cbf6a2c72
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 16:02:44 2024 +0300

    Check for qmake6 only on Ubuntu

commit f242e011f31b4e4f8881e17ceff266459768eda1
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 15:53:30 2024 +0300

    Update Ubuntu dependencies

commit acb84d3af782be4b335f0b800977e9b19d5d681d
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 15:25:40 2024 +0300

    Check for qmake6

commit aefda71522dd7523b40e15be61c6a06bbef0a9f1
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Tue Sep 17 15:13:20 2024 +0300

    Update to Qt6

commit 9255623e9bf05f27f60cfb6cb51a7c9b7a128234
Merge: 892cb6d d1e08bd
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Fri Sep 6 19:16:34 2024 +0100

    Merge pull request #65 from bkmgit/fedora-build-fix

commit d1e08bd26f93ed659004b0fc75962cd754427797
Author: Benson Muite <bkmgit@users.noreply.github.com>
Date:   Fri Sep 6 18:17:17 2024 +0300

    Fix typo
    
    Enable build on Fedora linux

commit 892cb6d5aba594a41537a0e3e3c739b547c08a5a
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Sep 4 12:10:12 2024 +0100

    typos

commit 301723184dddfc2be36d79ecfedc335f65764ad9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Aug 23 19:21:48 2024 +0100

    Add repology badge

commit a5f4b5bde22df00df38ba0400efe1b3b957d4a7e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 11 20:43:41 2024 +0100

    Remove locale table from database

commit 2d466ed9b9787e7c51465f915ba1d47506876b82
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 11 20:41:14 2024 +0100

    Save export and import error file names in settings

commit e833de0fea089ebdeca4d4beaadaa22032da5aaa
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 11 20:21:12 2024 +0100

    Use QSettings object to store settings

commit 65fa559764ee05ee4279204e6bc8fbe3dc6ab7f3
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 8 18:24:12 2024 +0100

    Add line edit to filter categories in category picker

commit 0ffa9e71e4bfaa203b50613a097239fc2a4db499
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 8 18:23:54 2024 +0100

    Change uscan test invocation in Makefile.sid

commit 07fa4bbc666dec274895fdb65c908db067f014cc
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 8 17:46:26 2024 +0100

    Version 1.32

commit 1947a1575598455c08831a94b8d6c3d406b03b87
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Thu Aug 8 16:59:07 2024 +0100

    Duplicate startupnotify entry

commit 85615f86920166da503ab61317d11c4b08e2ee0f
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Thu Aug 8 16:02:06 2024 +0100

    Set StartupNotify to false to avoid busy cursor

commit 155f4398dbe5fd5555dc62a5b8baf4a2cee2a042
Merge: 33c6e1a 4c5f3eb
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Thu Aug 8 15:57:57 2024 +0100

    Merge branch 'master' of github.com:wedesoft/anymeal

commit 33c6e1af75fd30ca28850ce1d612d4a01bfa603f
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Thu Aug 8 15:57:36 2024 +0100

    Set StartupWMClass in desktop file to the application icon under GNOME

commit 4c5f3eb36738578ac1e8a63981a52e47e540878a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Aug 7 17:51:39 2024 +0100

    Detect unexpected end of file when importing Mealmaster files

commit 898720edce5a8d168b8da34dc82424a30f5ad154
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Aug 6 21:11:29 2024 +0100

    Persist application language in database

commit 40effae5f04fc5111b6b7c2686bc285a0d6c88ef
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Aug 5 21:24:07 2024 +0100

    Remove usage of "which" in configure.ac and added more square brackets

commit 9b0cbab52c407abbe4ae3420f60806560f66e8ca
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Aug 5 20:42:44 2024 +0100

    Updating changelog

commit 32c872d7f9954271fed3149926df38a8fe0c69d1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Aug 5 20:42:34 2024 +0100

    test .. -o .. -> test .. || test ..

commit 8394737b07d661d76b56e38d936b9a6254cd32e2
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Aug 5 20:40:01 2024 +0100

    == -> = in configure.ac

commit 36db69bf2294e7e110d0cb68f64d2fa40235f746
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Aug 5 11:41:18 2024 +0100

    BSD-C3 -> BSD-3-clause

commit 7ac9ccabd325aecf1af12c011dfdf6da7eab31c6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Aug 5 11:30:46 2024 +0100

    Update uscan signing key

commit 8ba41e4346786063e7d8dd9fb981ae83bc50cf0d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 4 21:09:08 2024 +0100

    Category selection dialog should limit category name length to 40

commit aa10226c8b9c327af6349d5c8ef2b809652dac69
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 4 21:06:23 2024 +0100

    Allow category name length up to 40 in editor

commit 9ad310d0daa1632b311f4e2b94545f3266bbedc5
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 4 20:51:49 2024 +0100

    Added change to changelog

commit 760d37569f48460c0ac63699b1dae13e13f665cb
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 4 20:41:39 2024 +0100

    Update standards version

commit f7e0c7a5ab1e9d5e816f161d3ae3d9deea1a73fa
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 4 20:21:02 2024 +0100

    Version 1.31

commit 5d7fc2aecb59f3614e9eb15da6d5cd909f357dad
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 4 20:15:52 2024 +0100

    Major bugfix with c_str results expiring when writing to database

commit 5766a53ba771ec24b8cb4d616902483b3b5ae555
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 4 19:32:05 2024 +0100

    Use temporary strings to preserve return value of c_str

commit a1630ee56964e557fc150c3f04a8540567bace2e
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Sun Aug 4 14:12:23 2024 +0100

    Update size

commit f9e7e0497052dead3c03d604d7e1a752aa7194e7
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 4 14:03:42 2024 +0100

    Use "LABEL maintainer=" instead of "MAINTAINER".

commit e2a2089d1522ad15ea5ec705a391dc5450dfc612
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 4 14:00:29 2024 +0100

    Release 1.30

commit 301a001faed7c4569491edc3f3ba1ee0d77cc286
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 4 13:50:29 2024 +0100

    Update recipe when changing language

commit ac02f90dde2cad56f2ea6674a4d3441056c7644d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 4 13:38:38 2024 +0100

    instructions -> Instructions

commit 240a03526b00c11e0cc2e5b23168ea93ccaaf454
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 3 23:18:43 2024 +0100

    Make language switchable

commit 5ab74301de102050e38db9b539e8f7f9656ff516
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 3 22:25:02 2024 +0100

    Add some national flags

commit 855e50f6a699fabd31f7bf0f7dde7b13e64b35c8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 3 22:14:12 2024 +0100

    Add information if ok button is disabled in recipe editor.

commit e5ef84c88724d81b8e6eaaea4a9e516d3ea03022
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 3 16:42:40 2024 +0100

    Add link to AUR

commit 37d93344117a2e0b44d95a3778f249742bf96391
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 3 16:40:12 2024 +0100

    Add Slovenian translation to Windows installer

commit 5c5ce8864dc1ddf05f3664c9e6b9fa40d4e8c41a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 3 16:39:10 2024 +0100

    dedir -> sldir, de_DATA -> sl_DATA

commit 5bd4374e3320d3cc66c7c1c310687200b3c92abc
Merge: 845d305 0ed083c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 3 16:38:29 2024 +0100

    Merge branch 'master' of github.com:wedesoft/anymeal

commit 0ed083ca6c0abdffce0371af929d2ff53f0387b6
Merge: 9c51e44 c3bbdd2
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Sat Aug 3 16:38:06 2024 +0100

    Merge pull request #56 from anzepintar/master
    
    Add Slovenian translation, fix small typo in German translation

commit 845d305c16fc44f17a4ab071abcaeb394987c15d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 3 12:28:19 2024 +0100

    Bugfix exporting of empty categories

commit c3bbdd2ec5b697b49e5aa0a61e61c64b09d7dc12
Author: Anže Pintar <anze@anzepintar.com>
Date:   Sat Aug 3 12:44:43 2024 +0200

    aded sl/Makefile to configure.ac

commit 70c915ed126ff2a3108d0c8a197aa5235300ec10
Author: Anže Pintar <anze@anzepintar.com>
Date:   Sat Aug 3 10:30:26 2024 +0200

    Final translation

commit 2932bbaf9354b42f7c6aa02329237acae79b74f0
Author: Anže Pintar <anze@anzepintar.com>
Date:   Sat Aug 3 09:32:49 2024 +0200

    Add Slovenian translation, fix small typo in German translation

commit 9c51e440b5337cc50dd4d7c380cf0100c6d4b692
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jul 29 17:37:33 2024 +0100

    Publish version 1.29

commit c9f6eb9e05f7ce110c4902343587fff6c4b9913c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jul 29 17:35:20 2024 +0100

    Omit trailing comma when listing search context

commit 10109d8b3742fc24e9f2da86a60dc75e459f31c9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 28 23:19:03 2024 +0100

    Initialise prefix when force-showing the category completer

commit ab7948dbe2f5e003deb31ffa3b954bbf87d4a2ee
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 28 22:57:59 2024 +0100

    Enable word wrap for search history label

commit f6f8c6034f30541762bde4c2e1e9512b0b217770
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 28 21:27:41 2024 +0100

    Show search history when performing incremental search

commit 3be6be96fd257313a7d3fdfefb85369985395ad6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 21 19:20:30 2024 +0100

    Add status tips

commit 5b6bac1d65224e097895eef3c772bacd9721223b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 21 18:46:16 2024 +0100

    Show completions before entering first character of category

commit 0917b89c81a6dcade69cd924afa7a4ac8564f541
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 21 17:23:17 2024 +0100

    Error with empty category being created

commit 0647df8188340598676b08b0eca43e22520c15df
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 21 17:03:33 2024 +0100

    Update copyright date

commit 0f9e0cdede45bebd80ea09bb30b7e4e8792c5a42
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Mon Jul 15 18:53:01 2024 +0100

    Update version number in NSIS file

commit 171c35219eae44b44c9ddac4b6441c92b1767eae
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jul 15 18:42:21 2024 +0100

    Update translations

commit b291dba30880346f9a9fe4db5e7d77c7b842856e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jul 15 18:24:14 2024 +0100

    Update Debian Changelog

commit f794bbb6562ed89256a863b55e83621fb871b711
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jul 15 18:23:22 2024 +0100

    Implemented adding of categories

commit 20138a3d37cbe41cbca6a499ae75d7cb34af691a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jul 15 17:13:10 2024 +0100

    Prevent user from adding a comma to a category name.

commit 1e618df91c6692051b793db9660ca2e476a2b72b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jul 15 11:50:27 2024 +0100

    Implemented merging of categories

commit e700020356eb094fb8d5855c2c5fb5e09e2f3236
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 14 22:49:24 2024 +0100

    Implemented renaming of category

commit 19577d29f5ac2cb3d827404ebf034c562e6b4f12
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 14 21:10:06 2024 +0100

    Add rename dialog.

commit a0d103e3c562e8968076e7768d78b319702b4a9a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jul 13 21:39:12 2024 +0100

    Update version number, add translations

commit 7b8d188a06f03f50bce49b00b0c3c1c74f83741a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jul 13 21:07:17 2024 +0100

    Use extended selection

commit 2875b945a54579254f38f7c2b58cb31130b59856
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jul 13 20:57:31 2024 +0100

    Implemented deletion of categories

commit f622f66cb63eedeea5562ab7576abbef136b0d8b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jul 13 20:03:13 2024 +0100

    Reset categories model after editing recipe

commit f0d4a92a454049e2a6cc31523d09b0dd25c6baff
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jul 13 13:34:01 2024 +0100

    First delete category from recipes before deleting category

commit bd260965a03d3918f831a85dd2771a2fa06959b4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jul 13 13:28:58 2024 +0100

    Catch errors during category editing

commit 57c7d7a8049d75bfba59cd12aaef228149392582
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jul 13 10:47:39 2024 +0100

    Working on deletion of category

commit d57a2e23431a6ff8e6ba47aa7204cc4b1f528bb7
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jul 12 21:02:38 2024 +0100

    Use UPDATE OR REPLACE to merge categories

commit 3549b63e71bf992607572aa835f4afdbc983705c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jul 12 20:19:42 2024 +0100

    Add method to get category id or zero

commit 49dd2a39442e56a80e780756152bd940e70e1d5e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jul 12 19:57:27 2024 +0100

    Add function to rename category

commit ca42dd5d85d9b7dffccc349f0981f7974cfa6d48
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jul 11 20:54:57 2024 +0100

    Implemented picking of categories

commit a0afd9811d487f0138a4a0547672a0687d1e4574
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jul 11 19:50:03 2024 +0100

    Show checkmarks in front of categories

commit ccd728c92880249130dd3ab291ba9ffc447183e7
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jul 11 12:50:41 2024 +0100

    Show empty categories

commit 5be08d147ba43527bbb9e048a3d1c86ca665dc42
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jul 10 22:35:29 2024 +0100

    Add category table model

commit 2205a869031b1e479c482098c3ae58f5e4a1beba
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jul 10 21:04:10 2024 +0100

    Use table view for category data

commit e211469ee574c2e25fb98244e21e11c2c5dfbcc8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jul 10 20:42:46 2024 +0100

    Add empty category picker

commit 45dad7f7f0a70c9e8b1a318123774289cfa0011c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 28 20:15:00 2024 +0100

    Update translations

commit d5af6f6fed826e2346a4f8eda3a145f41b267852
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 28 20:09:01 2024 +0100

    Add default title, category, and servings when editing new recipe

commit 56193ff5b9aab0a58c1271c9fde1184fa09e9219
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Apr 10 17:07:48 2024 +0100

    Version 1.27

commit 8af92bae7105256910a2820ab0ca61d29fee010a
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Apr 10 17:07:37 2024 +0100

    Use binary input and output streams to prevent line-feed conversions under Windows

commit cf320904875872a5cf715b39d5f2af777fc616d8
Author: Jan Wedekind <jan.wedekind@roke.co.uk>
Date:   Thu Feb 29 16:01:44 2024 +0000

    Update actions/checkout and actions/upload-artifact

commit 9be422416ae32f635af51b535a1ee4fe62aa7233
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Feb 23 21:08:15 2024 +0000

    Update dates

commit 694e9805eb320e50e924b69dd3716817c2414bf8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Feb 23 12:21:56 2024 +0000

    Version 1.26

commit 37373b869aadfa3591ab08fe5066abff614c0f2d
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Fri Feb 23 09:19:09 2024 +0000

    Remove recode-devel from SuSE Readme

commit b3b106df8f39fbbc8ad4c01d66b8471a9166d189
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Thu Feb 22 22:32:33 2024 +0000

    link with libiconv under Windows

commit 9c22e3f67366e38a34ad73cec4cd43c5ccecfe7c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Feb 22 22:10:11 2024 +0000

    Remove librecode from dependencies

commit 62e4f048b2058a5f273b2dac1ed55bc72b78ee6d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Feb 22 22:05:41 2024 +0000

    Switch to iconv library

commit ffba07674403728d01f6df6462770eaac824c9a1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Feb 22 21:27:06 2024 +0000

    Change Recoder parametrisation

commit cf3fba7c0732d9b1cc512bb14ccbb12dc37e6ab8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Feb 22 21:26:28 2024 +0000

    Bugfix Dutch translation for US-ASCII

commit 8111a4986fddad4bc5e65e6b9ab485b93bd3e824
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Feb 12 20:27:04 2024 +0000

    Version 1.25

commit b867a32d889c4d85571a8b4a205d9f0b58cf20f2
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Feb 12 20:23:00 2024 +0000

    Update translations

commit 5a4ab6d599840d92a4a8163fbcc64d06cd77c608
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Feb 11 22:41:21 2024 +0000

    Add error file line edit to export dialog

commit 7d8627127de871348d76f9ceb11d237466d0edac
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Feb 9 20:36:55 2024 +0000

    Update line numbers

commit ea6f6cc588fdf9e664e797dbf100abdf48e8b258
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Feb 9 20:20:07 2024 +0000

    Bugfix for when to encode

commit 9452a9dbfb653784bcb86323089267a4f5746518
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Feb 9 20:13:03 2024 +0000

    Change line numbers in translation file

commit 53c7731ed25606540f0eb9934ade1d6cbeea0475
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Feb 9 20:09:22 2024 +0000

    Release version 1.24

commit 84436ba447d6c1975771963886b76073ae84179a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Feb 9 20:07:53 2024 +0000

    Skip recoding when exporting to UTF-8

commit 9c17ecfc4554187ed189539ec1a585596121827d
Merge: 37319ed da9a94d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jan 22 20:43:43 2024 +0000

    Merge branch 'master' of github.com:wedesoft/anymeal

commit 37319edd21029ebcfa68227ee266751aa946c73e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jan 22 20:43:36 2024 +0000

    Use package cache for Github action

commit da9a94dc806408e9f838ff9845536fe334d68dbe
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Mon Jan 22 16:56:41 2024 +0000

    Update README

commit 801dffad9f2925373a428ae72430f39da55ff85a
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Jan 10 15:09:44 2024 +0000

    Remove Travis CI configuration

commit 3b4ac7c6524bd503c43af7e8ac705e5f894a5c63
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Nov 30 18:20:50 2023 +0000

    Increase main window size

commit adac44ede0efc63ced0c59270a6472040f82199f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Nov 18 21:42:24 2023 +0000

    Update man page

commit 6af65d84e9726100c765882d26d1ca62025500de
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Nov 16 18:51:28 2023 +0000

    Use shorter names for build steps

commit 3d1018a48ece25a9c6bc5bfbe50e096ddeaff494
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Nov 15 20:51:22 2023 +0000

    Set correct application name

commit 327bb33b11903657b034070fe987c7e45cd3cf10
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Nov 15 20:11:59 2023 +0000

    Version 1.23

commit cbf1c175dd54cc57de9d0cd37af90f91fdf32cf9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Nov 15 20:05:07 2023 +0000

    Added menu item to edit new recipe

commit b831c7e4d66a3dfbde334bf5b146f59aaf9613ca
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Nov 15 19:12:58 2023 +0000

    Use transaction when deleting duplicate recipes

commit 84c1257531f46b17f697ad2a640b3f32e96d0188
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Nov 15 18:45:44 2023 +0000

    Drop listing of DLLs and use smaller build step names

commit ae6fda417b895c1b0a641ecdec3e10136a642abc
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Nov 15 18:38:49 2023 +0000

    Update Anymeal installer path in Github action

commit e2b24df5511b435442b26e95c1c2bb4bf58b7d72
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Nov 15 18:33:30 2023 +0000

    Use NSIS MUI2

commit af4d8186c0d090178cc216127e529d9dd7690adf
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Nov 15 17:22:37 2023 +0000

    Change test suite invocation

commit 074c79c32c5e18bb7b871f287a35700f1851b6d4
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Nov 15 14:25:05 2023 +0000

    Shift location of nsis script in distributable

commit 3801b0ffd94c4b5db0fb2dc6e56251572e0e6949
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Nov 15 14:19:08 2023 +0000

    Move NSI script

commit 175d85ba4d004cf517d072f1210aba161c26f881
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Nov 15 14:11:18 2023 +0000

    Add MUI example

commit c1e0ce5ea93bcd7340699f20c2ef8c6e2890b6ed
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Nov 15 10:43:49 2023 +0000

    Use new version of upload artifact action.

commit 0194cacae796b801e7b79e14b15c037f6f1311dd
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 22:56:47 2023 +0000

    Re-add libpcre-2-16-0.dll

commit 7eea6bc309c5dd36ea4e6badd6b00a4e4235d385
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 22:53:25 2023 +0000

    Add libpcre2-8-0.dll instead of libpcre2-16-0.dll

commit 2b0a81bc2188fb5487f3aa41fc5b49556b6a0815
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 22:39:19 2023 +0000

    Install pcre2

commit 1f7e8dacfe5435b8e249fea6f89d82265b08be4b
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 22:36:58 2023 +0000

    Add pcre package

commit d9cb4681dc9ef042a32007f1912d7770b073500a
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 22:31:20 2023 +0000

    Update icu library versions in NSIS script

commit c6c09cee577f17cc05ef7ffe43c67090408d568c
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 22:27:16 2023 +0000

    List contents of /mingw64/bin

commit 352fc9883002854c03ce804d98ac9b55148df0a7
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 22:13:55 2023 +0000

    Add icu and iconv package to CI build

commit e7bf27a61b35501d892f272a2b219f4155c89183
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 22:10:07 2023 +0000

    Remove double-conversion from package list, remove duplicate call to autogen.sh

commit 8e7560bc97f8b88cc6e940026931eec39bbac064
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 22:04:20 2023 +0000

    Try to use existing MSYS2 installation in C:\

commit 6864c57bd1a254245734aefe60aa65f9b64cb1e0
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 22:01:29 2023 +0000

    Install MSYS2 in C:\

commit 658020d37944bfb44273d094eac9d2b3f12d2716
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 21:48:45 2023 +0000

    Wrong package name

commit c18ebefd2419bbb463b5eacaca92e9e98505a0e1
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 21:46:51 2023 +0000

    Removed AC_PROG_RANLIB, install Git, install double-conversion

commit 85452d2bcb365a80642f1edc3cf3f8c4fa7aab24
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 21:38:41 2023 +0000

    Install libtool

commit 70136bd024e33d2436faf09efd93f025dcbe4401
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 21:23:38 2023 +0000

    Add qt-svg library, add nsis build step, and artifact step.

commit f001fb7ab0373e805b51612822b28e388ebbf4f5
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 21:13:24 2023 +0000

    Do not set MAKE variable

commit 887c48d528d68fb301ec69396ffb600e9fa5cace
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 21:10:15 2023 +0000

    Try disabling dependency tracking

commit ff4064af2a16b2b2338d9324b1b34766c46f64fe
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 21:05:37 2023 +0000

    Extend PATH with /mingw64/bin during configure run

commit a2e12a5d8b23250fa7dcec738aeadbd915bb3050
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 20:58:37 2023 +0000

    Specify mingw64/bin/make.exe as make path

commit cfabd6e87550a9dcfe1752b1ca31eff0a064db0d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 20:51:51 2023 +0000

    Specify location of make.exe

commit 2a87fe3ee0a330f36b7481642e8114269c29daa7
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 20:43:54 2023 +0000

    Use mingw make

commit cc9ed8c92e9f534ef1be00c4af0c5774295d04a7
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 20:35:11 2023 +0000

    Install NSIS

commit 59ebf94263005f753dd4fbfa24fe0bf29a118af8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 20:34:42 2023 +0000

    Install Make under Msys2

commit ded00a163314e544db063708dec1ec627a218888
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 20:29:50 2023 +0000

    Add AC_PROG_RANLIB

commit 03c61507f68a26c2c528b2e605008dbf798b571e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 20:22:02 2023 +0000

    Install more packages under Msys2

commit b11e448630255e7a25629e635d60e0bbc2b64da1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 19:58:59 2023 +0000

    use msys2 repo

commit 5f45165cf0edde876e553e24c2be24d48647301b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 19:56:15 2023 +0000

    use setup-msys2 version 2

commit cd971a993ebea7b641e654ed1ab2bd89ea8a4a5e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 19:53:05 2023 +0000

    Try windows build

commit 6ec0ef60f685a73f48db05a3df135aa0f1eb8637
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 19:33:50 2023 +0000

    Try to upload tar-xz file

commit 6992c8aac4f5b57d0956fdd234c606b1c50ee2d9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 19:24:38 2023 +0000

    Upload source archive artifact

commit 256363cce32feb39c54ba94603ab6db8b0693b90
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 17:35:39 2023 +0000

    Set image to Ubuntu 22.04

commit bb58d9ac4b4d005b80badac90101d0119ea65703
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 17:31:27 2023 +0000

    Update build badge

commit 8cebcc2f16073530d43416358bee54d256d4e832
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 17:27:34 2023 +0000

    Used wrong directory name

commit 3d25323a484ad110eff46eea7cae8310e0baf9e8
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 17:25:17 2023 +0000

    Add Github Action

commit 7f7f8665fbce47b18fc4ac9985a719a76bdbeaa7
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 13:18:09 2023 +0000

    Update loc in translation files

commit fcb9ee5f7957eaeeb287154b90edeacb3e7a82ed
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Nov 14 13:17:43 2023 +0000

    Remove iostream include

commit 3569f677964b9476042d6c76f4e48b4065e14060
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 14 12:43:19 2023 +0000

    Use set instead of map of vectors

commit f332ab03d72bdaee329f460c153c9cf58ac008f1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Nov 13 21:35:36 2023 +0000

    Update Dutch translations

commit 20ebf476aac9b1a48208d2dd690fb82af697f6f7
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Nov 13 21:33:50 2023 +0000

    Update Italian translation

commit b33055118c53603b100c91acfd6ad56f090c65fa
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Nov 13 21:31:29 2023 +0000

    Update French translations

commit 17073ad5ba502dbdcb17b8213cb490191865c44e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Nov 13 18:57:08 2023 +0000

    Update German translations

commit cb1d459a893ce43d07d4e4ea17899f02a21848fa
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Nov 13 18:56:59 2023 +0000

    Do not delete recipes when cancelling dialog

commit aaeca719fffd355abf8347b2c6b4d353eb559ce9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Nov 13 18:52:28 2023 +0000

    Add button to remove duplicate recipes

commit 6809dc66a21801b420179a1f4aedd4d2533e00bc
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Nov 9 20:15:07 2023 +0000

    Remove thehoseys download script (website not there any more)

commit 6edfe40b9a77feff7810ab454b93ab5302940096
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Nov 6 20:38:46 2023 +0000

    Tolerate unexpected ingredient continuation lines.

commit 985b5c9599948205d99a61ec4ba4809f784484c5
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Nov 5 19:28:16 2023 +0000

    Update version number in nsis script

commit edfb225f0048750fb09f4cb3e56309d836a9c305
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Nov 5 19:17:48 2023 +0000

    Package version set to 1.22-1

commit 4ba257ac99d9ffe43d5d584d4e45ab58ddeff12e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Nov 5 18:49:56 2023 +0000

    Removed some old TODO

commit 1a6404cbed6f013a16eba6987cd63d315a3d8896
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Nov 5 18:38:49 2023 +0000

    Fix warning

commit 7cf45d294750101c2b63b87fea64cff248c3871b
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Sun Nov 5 17:46:04 2023 +0000

    Removed stray ingredient error

commit a442858faa7ae28ad8e65ff1ecc8838c73d6569b
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Sun Nov 5 17:41:09 2023 +0000

    Tolerate stray ingredient lines

commit d8d4a0497caf1892802914b48187d8f43565a6e0
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Oct 24 17:54:16 2023 +0100

    Glen's Mealmaster archive only available on Web Archive now :(

commit 0c435ba14de42d18db30eeb32cb18f40d2d83dff
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Oct 22 20:14:25 2023 +0100

    Add missing dependency to pkg-config tool.

commit 085e06b46ed593e2202115321a11979571006790
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Oct 21 19:35:16 2023 +0100

    Changed whitespace

commit 103a97d08599520bebafa7ef33b1ae22091805ce
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Oct 21 19:35:05 2023 +0100

    Update copyright date.

commit af3e0c5c520984d426ca76fc04fd08045150280b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Oct 18 22:42:39 2023 +0100

    Check for PKG_PROG_PKG_CONFIG

commit b6d275606d710aaf9270539dd9c97b6c2f67efa6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Oct 18 22:40:09 2023 +0100

    Renamed GTEST to GTESTSRC

commit 65a477bc04a5b69e89930ea859338dc013040462
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Oct 18 22:21:40 2023 +0100

    Version 1.21

commit 01935907da6a81f7b99792fd7174398759bb2306
Merge: 20aacad e9ee7d5
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Oct 18 22:16:54 2023 +0100

    Merge pull request #42 from bkmgit/recode-update
    
    Change fail and abort levels when using recode library

commit e9ee7d5e8faf31abb005d1ef8092e9cbe1b727a1
Author: Benson Muite <bkmgit@users.noreply.github.com>
Date:   Wed Oct 18 19:27:19 2023 +0300

    Change fail and abort levels

commit 20aacad7f301052db4c69ce67441118c4592a584
Merge: 73db62a 7e51fac
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Oct 18 11:55:36 2023 +0100

    Merge pull request #41 from bkmgit/patch-1

commit 7e51fac2ad14b289f94255e0b6c4057c5dd2001b
Author: Benson Muite <bkmgit@users.noreply.github.com>
Date:   Wed Oct 18 09:29:29 2023 +0300

    Works with gtest 1.12 or later

commit 73db62afd512c6367e6b6b14a23f61a6df83273d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Oct 17 19:36:24 2023 +0100

    Update license headers.

commit 1f40605c7c0a1a614145933c934f8b5efdf2d9d2
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Oct 17 19:29:47 2023 +0100

    Add copyright notice to test files.

commit da9f6f629858931004184cc3a610c2466218caca
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Oct 17 19:17:04 2023 +0100

    Allow use of Googletest library or Googletest source code.

commit 825887ad39a8dc0472d8cf6e01e40226fd411958
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Oct 17 19:16:27 2023 +0100

    Add noyywrap option to AC_PROG_LEX.

commit 9c485ee086b0a5cfda6b3a815638003ef9364a89
Merge: 161154a 6a40e0b
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Mon Oct 16 19:23:13 2023 +0100

    Merge pull request #38 from bkmgit/patch-1

commit 6a40e0b795f9183357da93e3c0ace6f3907af1b0
Author: Benson Muite <bkmgit@users.noreply.github.com>
Date:   Mon Oct 16 15:58:36 2023 +0300

    Replace obsolete macro
    
    Use AC_CONFIG_HEADERS instead of AM_CONFIG_HEADER

commit 161154a99879c1031ab95d0cd76f3b896bcab815
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Oct 1 21:24:21 2023 +0100

    Update changelog

commit af2497a13e6b4ebeb782f9fbd940f65d3bb82d9e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Oct 1 21:23:45 2023 +0100

    Update copyright

commit 720256d9449c3475d9b8f0651bc7e1e30cd97ec0
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Oct 1 21:21:27 2023 +0100

    Make export dialog remember encoding

commit 6d48e05ec596ef05e43f99e643c50cefe1733b87
Merge: 25cda44 2a65534
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Oct 1 20:58:21 2023 +0100

    Merge branch 'master' of github.com:wedesoft/anymeal

commit 25cda44577a979cab8b25017e593a8155ed6144a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Oct 1 20:47:45 2023 +0100

    Version 1.20

commit a6de6c573dabc6c2de935425e5c16ea08c807269
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Oct 1 20:45:12 2023 +0100

    Import dialog should be persistent

commit 2a65534251a8f12aa19309094f00d1dbf415329b
Author: Jan Wedekind <jan.wedekind@roke.co.uk>
Date:   Thu Aug 17 17:55:38 2023 +0100

    Remove duplicate CLEANFILES

commit d86f58bc8bb4ff0a5e31927cac6942b6152c4059
Author: Boyuan Yang <byang@debian.org>
Date:   Thu Aug 17 17:54:15 2023 +0100

    Makefile.am: Revert changes to add back CLEANFILES
    
    This partially reverts
    https://github.com/wedesoft/anymeal/commit/1d5a39a2c7d7d2cbc018451ce3d98b9edb2b4b67

commit eaca1dee7f9064b2a1462282769cb299da645656
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 13 21:31:18 2023 +0100

    Revert removal of CLEANFILES

commit 672346657e49721179d456f3d3555850c3ec0beb
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 13 20:20:56 2023 +0100

    Release version 1.19-2

commit 020f0a5f57e1a3f15b2863b064dfd410b0bd5a54
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 13 20:18:49 2023 +0100

    Patch by Boyuan Yang reenabling deletion of built sources

commit b180be09ebd07a9f38bdc3121848b7fb5e757842
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 13 20:16:32 2023 +0100

    Patch by Boyuan Yang reenabling deletion of built sources

commit 1ab07be9a60f156994be99005b09ce4ba9e3ec61
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 13 16:37:31 2023 +0100

    Release version 1.19

commit 1d5a39a2c7d7d2cbc018451ce3d98b9edb2b4b67
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 13 16:33:32 2023 +0100

    Fix build of source package
    
    This package fails to build a source package after a successful build
    (dpkg-buildpackage ; dpkg-buildpackage -S).

commit dc2f406cb4fe9fb8e67c51cf44a1d1f9fa3e46ec
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 1 20:10:30 2023 +0100

    Minor changes

commit 583b31ceb85026845406f82c6eef4d9eda5b2f6a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 1 20:00:21 2023 +0100

    Use --with-gtest command-line option in configure script.

commit 69502eb084cca473ef20a356131ff7b1b4b17931
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Apr 30 23:45:56 2023 +0100

    Using autoreconf -i again

commit 79d2f0027979d56d32a5ad8a5559820039f916cd
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Apr 30 23:36:18 2023 +0100

    Add empty config.h.in

commit d706081afedcd96a334455985cf2add8cdc6ea96
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Apr 30 23:35:01 2023 +0100

    autoreconf -i does not work nicely.

commit 559c8b63f9c4141dc2c903854bad5a28d29ba9e3
Merge: d612f0b 899e0b6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Apr 30 23:25:18 2023 +0100

    Merge branch 'qt5'

commit d612f0be0fdbee767b3925c7a25cc800408bba6b
Merge: 824d581 da4e6c9
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Sun Apr 30 23:24:55 2023 +0100

    Merge pull request #35 from bkmgit/qt5
    
    Check for only qt5

commit 899e0b62939914d9acd3065133e6a6cd8f3faf89
Merge: da4e6c9 824d581
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Apr 30 23:16:20 2023 +0100

    Merge branch 'master' into qt5

commit da4e6c9d9da29b68ac76bb60bd325ad8077094dd
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Apr 30 23:15:15 2023 +0100

    Enable tests only if Google Test framework was found

commit 087455ffa528cefd0c7929f22f0a7351ffbc436c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Apr 30 23:14:50 2023 +0100

    Enter tests sub-directory and use conditional in tets/Makefile.am to disable/enable tests.

commit a0d53ae066f0265b4ee7afc89cabc7150ee00101
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Apr 30 23:01:48 2023 +0100

    First look for tool with "-qt5" suffix before tool without suffix.

commit c6adfcb063ef4cf061b255091055f4ecf5db719c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Apr 30 23:01:11 2023 +0100

    Fix order of brackets

commit 0cfa2804165a899fb56632e05bfada820f915489
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Apr 30 23:00:55 2023 +0100

    Remove Superfluous AC_PROG_RANLIB

commit 3a032c282c4db055a1e10167213ba299045e8e32
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Apr 30 23:00:42 2023 +0100

    Use variables instead of macros for lupdate and lconvert

commit b48a32ef90c1a3923e4e8d3db8afe604cf3439b1
Author: Benson Muite <benson_muite@emailplus.org>
Date:   Sun Apr 30 20:04:02 2023 +0300

    Allow disabling of tests

commit 569c630c59cb577d152b2e05628f99eeb4971dee
Author: Benson Muite <bkmgit@users.noreply.github.com>
Date:   Sun Apr 30 14:59:17 2023 +0300

    On some platforms such as Fedora, binaries have -qt5 extension

commit 5dae726cf5a0b5e54789f9906f3975b9f66d2bc2
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Apr 11 17:33:53 2023 +0100

    Minor fixes to configure script

commit 824d581418b7c1e885d780098f63b78633addb65
Merge: b3f4aab df4c91a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Apr 26 23:46:16 2023 +0100

    Merge branch 'master' of github.com:wedesoft/anymeal

commit b3f4aab3d27951704b257d2896753009e0335492
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Apr 26 23:46:03 2023 +0100

    Donate link to The Water Project

commit df4c91a3c0c923aef20b18c2e4dea1f966bece4a
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Apr 11 17:33:53 2023 +0100

    Minor fixes to configure script

commit 5f537031ae5cff00d035275df83cef41eac6f1ee
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Apr 1 21:36:14 2023 +0100

    Remove obsolete AC_PROG_RANLIB

commit ecbf2c49d1f03a0812587d7122e2fe71f58d65bd
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Apr 1 11:43:58 2023 +0100

    Order categories alphabetical if recipe count is same.

commit 4bbc0ffed6484efc12e8de1de04cc3ebb7025652
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Mar 21 21:43:03 2023 +0000

    Add bugfix information to debian/changelog

commit 3afa0ef0f38891b27779903dadcdf8c1622d8a96
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Mar 21 21:40:13 2023 +0000

    Add viewer category to desktop file.

commit 95c46e556c116ca88ccb8ae5c8433f28e3f99116
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jan 3 20:28:47 2023 +0000

    Set standards version to 4.6.2

commit d53233e745f417ec7ed2baaaf093d6884ea12cb4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Dec 27 22:50:41 2022 +0000

    Set standards version to 4.6.1.0

commit d3aa2bab369d30c001bcaca8b8a8f5434e83c84b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Dec 27 22:44:30 2022 +0000

    Fix debian/watch

commit c01d824ce4caf6b82c3fd598db0cd5c8ac652565
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Dec 21 23:44:46 2022 +0000

    Do not use Github API for uscan

commit 9c3ef340d3122716f916932bb4c9ef67c3c9b7a2
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Dec 21 23:36:26 2022 +0000

    Create 1.18-2 in debian/changelog

commit 1621925a3e19fb758406327d130a3901c793a486
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Dec 21 23:35:52 2022 +0000

    Update debian/watch for Github changes.

commit 232a4da355d1372791fdc7411f59f83983212b50
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Dec 21 23:35:37 2022 +0000

    Update Standards version to 4.6.2

commit 3189d6317a6b580a752cfc6d6b1f7860df3d901c
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Dec 21 13:15:19 2022 +0000

    Increase version in installer

commit 1f7eb8cdcbc43a28080d144b62da53aebde0b455
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Dec 21 13:12:32 2022 +0000

    Add French installation to NSIS script

commit c3c7bb5e07a0e3e8cabcb1ae8748838290953f79
Merge: 7fc9e10 d367e92
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Dec 21 13:01:50 2022 +0000

    Merge branch 'master' of github.com:wedesoft/anymeal

commit 7fc9e102c73154fea42f187e7bf56a8921cd4b5e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Dec 21 12:59:05 2022 +0000

    Add 1.18-1 to debian/changelog.

commit 91c2be5041c8202142ec00e082e26495aec1b344
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Dec 21 12:18:43 2022 +0000

    Set correct directory for installing French translation

commit c238a63029382ce0b4ee1e9fd9be944a13a4414c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Dec 21 12:07:12 2022 +0000

    French translations

commit 9990c323489327335e4c9251ea7297b485bfb794
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Dec 7 18:38:49 2022 +0000

    Add anymeal/locale/fr/anymeal_qt.ts

commit d367e926f695d703f3ea072b96bd8089421d3eb0
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Tue Oct 11 16:38:03 2022 +0100

    Update link to Travis build page

commit 9c4300eb4b8db891e4351a162080be4d637e99e5
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Mar 30 22:49:21 2022 +0100

    Add new libmd4c.dll to installer

commit c3cc4625bddd374cc4e39b3cdc36b3cc9281278c
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Mar 30 20:48:49 2022 +0100

    Newer MinGW library versions

commit 30af98d0875d16c1266838eec01e86bd2d92cf6d
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Mar 2 20:42:01 2022 +0000

    Add AC_PROG_RANLIB to configure script

commit f6509869dc408adb46cc4a6891fffa2e3d2c68cb
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Dec 12 08:04:02 2021 +0000

    Weekday of changelog was wrong

commit c0700524f4a2f20b6cb9b21e9c448f5f6d790bc7
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Dec 11 23:21:17 2021 +0000

    Version 1.17

commit 34979d86fb73ddabf5eca48c6f6a3265cfe400e4
Merge: 232c27f 0067adc
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Dec 11 23:03:11 2021 +0000

    Merge branch 'master' of github.com:wedesoft/anymeal

commit 0067adc2f2affacb837b415533b63014fe4f0194
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Sat Dec 11 15:17:24 2021 +0000

    Added nowrap style to ingredient amount and unit column

commit 162ee54b902db853ad1ce1b01556b1c48cd11a23
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Sat Dec 11 13:57:41 2021 +0000

    Update Standards version

commit 232c27f3ad941eb44e10c12f97171d00cef0505b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Dec 2 15:43:47 2021 +0000

    Version 1.17

commit 8fb767841a77c07645d0a213a5c31b3bafa32bdb
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Dec 2 15:41:38 2021 +0000

    Update standards version to 4.6.0

commit 6f0411659d9d2b0bf3f27e31e5ffb66c5da4a60c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Nov 24 21:40:54 2021 +0000

    Only suppress line wraps in table headers

commit 776e918c915ba78f94d739eb30832f4360ed1a28
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Mon Nov 15 20:17:12 2021 +0000

    Set table style white-space to nowrap

commit 438ef1c6d90c05b78ee28f48298d0954ceb68f66
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Nov 7 22:45:58 2021 +0000

    Update version number in NSI file

commit 0357eae2dea12c0fb06bf23a5b64e3cc34900fdb
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Nov 7 22:44:14 2021 +0000

    Remove homepage field from metadata

commit be5aec5ba1cbe7db1d4c0968eb2386767f2bff85
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Nov 7 20:18:50 2021 +0000

    Bugfix for bashism in configure script

commit 80a75fde43905525cea08b6bd8561d214e8e9539
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Sun Oct 10 18:51:41 2021 +0100

    add link to popcon page

commit 7b88c1a965a2fa3de73329777e8a2e15d7019ad5
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Sep 25 20:33:26 2021 +0100

    Update changelog

commit b3bb77e80b5e56d1668ee7177a1916253eeefed5
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Sep 25 20:26:18 2021 +0100

    Update watch-file version to 4

commit 5880da7f17dd7b42b1d5d6230d196b89457fdec9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 24 22:19:56 2021 +0100

    Update changelog

commit 9ea61c257e80e996666fa8457022bd2cf7ecd6c8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 24 22:11:16 2021 +0100

    Version 1.15

commit 932bd0f5b5aba30bb496ed7731e327719693bad1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Sep 24 22:09:27 2021 +0100

    Use line breaks instead of paragraphs

commit 9cb3a64670be1427076cfbb570542aec72270954
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Aug 25 21:35:04 2021 +0100

    Newer libicu*.dll version

commit b4f15ae0301ee2f3ef9b8f14649958bbbe674e8f
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Aug 25 21:31:30 2021 +0100

    Windows version 1.14.1

commit bdffff455cf04a6edd51a4ba83634bac2f64fd2a
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Aug 25 20:37:46 2021 +0100

    Add Italian translation to Windows installer

commit b8949e3e3e5aab4f0bc6d5b659278871cc600e01
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Aug 17 21:01:36 2021 +0100

    Update README

commit 30a3af2bd98e872cf8c8ccabff8634186103fe5c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jul 31 22:16:00 2021 +0100

    Update version number in NSIS script

commit 98d01e647fb63cfd100c2de2925da69bac05827b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jul 31 22:07:28 2021 +0100

    Version 1.14

commit 8ae17a0f931e7318487ff61f47d2889ddbaa513c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jul 30 18:13:31 2021 +0100

    Added Italian translation provided by RAMAR-RAR

commit 72ab811f52cb053095d1ddacfce0a38a6ecf419a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 26 17:45:52 2021 +0100

    Revert "Revert "travis-ci.org -> travis-ci.com""
    
    This reverts commit 93bc532639403625fb9d9a7455984a2ba6ffaae0.

commit 93bc532639403625fb9d9a7455984a2ba6ffaae0
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 26 17:44:50 2021 +0100

    Revert "travis-ci.org -> travis-ci.com"
    
    This reverts commit 0e65dfe468cbbab2f27627294234bf3f801ef86d.

commit 0e65dfe468cbbab2f27627294234bf3f801ef86d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 26 17:44:04 2021 +0100

    travis-ci.org -> travis-ci.com

commit 894b128378d4ae77a1512969556f492c5a5f42c3
Author: Jan Wedekind <jan.wedekind@roke.co.uk>
Date:   Wed May 26 17:14:20 2021 +0100

    Add links to repology

commit 262ea6a3761f144d667d27d6807ec50adc2f15ac
Author: Jan Wedekind <jan.wedekind@roke.co.uk>
Date:   Wed May 26 17:07:51 2021 +0100

    Update README

commit 7fc01c1c1a4dcbba40d33eb949cbc0d6f1ad5fe5
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 18 21:51:25 2021 +0100

    Add installation instructions for openSuSE.

commit 853cb21aab88a6e5e771cd52ad969363d0712f1f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 16 21:50:37 2021 +0100

    Add documentation on how to install from Git repository.

commit cd97bce268938f53395a3613fe7984a888993f51
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 1 22:46:46 2021 +0100

    Updated some copyrights to 2021

commit 4207ad6a22421190d2b3466c5b91a3660155cbe2
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Apr 19 21:54:10 2021 +0100

    Add links to Mealmaster recipe collections

commit 07f12e79fbdc72d4d74f5cee6e85b4dd94f54ddf
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Apr 19 21:51:32 2021 +0100

    Update README

commit de98853f6afaa0c29860ef3144282099b0191c74
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Mar 24 21:14:18 2021 +0000

    Move downloadthehoseys.sh into etc folder

commit f04e595e0468ce984847ac40b4368b2448baac49
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jan 13 20:51:10 2021 +0000

    Version 1.13

commit faa8911b4b61a91c7ae487ed381f369e867bb6fe
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jan 12 23:02:21 2021 +0000

    Add space character to increase horizontal distance between table cells

commit 2b46e56cf3d2605d863e981be3892292c913d052
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jan 12 22:22:44 2021 +0000

    Left-align table headings

commit 604e37875cabf882660c7f05d163dd27612ff032
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 17 19:33:59 2020 +0000

    Update size of installer

commit 39459a5e84436f0960b3061258a0a0c6e57e6eec
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 17 18:40:36 2020 +0000

    Version 1.12

commit 9a2a53a0ee968a4dbc68030382da630acd325d65
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 17 18:33:41 2020 +0000

    Option to exclude categories

commit 47c9355a6da979a9081bd1da663d6109fc61171b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Nov 10 21:46:31 2020 +0000

    Install Dutch translation files

commit b6d766bd2b3b9ca4c55ef1c69af2d0222c033179
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Oct 30 21:19:23 2020 +0000

    Version 1.11-3

commit ce5622eb436c73d3ac08b74d55291569d616d4ac
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Oct 30 13:48:58 2020 +0000

    Show busy cursor when rendering print

commit 316d6fcc455ac444c48d702109def8bae920de4d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Oct 30 12:44:01 2020 +0000

    Version 0.11-2

commit 09b17c8733c39fff30b2be3b88742fde94675543
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Oct 29 23:49:35 2020 +0000

    Add page breaks when printing multiple recipes

commit b1a5df6346d7bbf9ea754a01b17655f962ee67d6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Oct 29 21:27:30 2020 +0000

    Version 1.11

commit 4737f90670adef2aeb33ab28062035bcdbb52500
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Oct 29 21:16:49 2020 +0000

    Print all selected recipes

commit 1e85b52a32354d5cfd172bfdebb08fc94f78998e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Oct 26 20:26:16 2020 +0000

    Added Dutch translation by Heimen Stoffels

commit 9b295b114e964129b92a71a6e171ca1e44fd0c44
Merge: b439e2c 40f9ea5
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Mon Oct 26 20:14:20 2020 +0000

    Merge pull request #20 from Vistaus/master
    
    Added Dutch translation

commit 40f9ea55cc37f16e0a2e28acfcba45655b2b0f35
Author: Heimen Stoffels <vistausss@outlook.com>
Date:   Mon Oct 26 12:43:23 2020 +0100

    Added Dutch translation

commit b439e2c4b281a7410bf6e4827a807e516d3bba6d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Oct 20 20:44:07 2020 +0100

    Update image caption

commit 059b0065727829d1b27a4f708247a17a50f42459
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Oct 20 20:38:01 2020 +0100

    Correctly reference desktop file in metainfo file

commit 92d6e1781284f43a40a6ade74b7fd113ec31cbe1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Oct 18 20:57:50 2020 +0100

    Version 1.10

commit 9f961aaeb740fd52850b2f306fb1830534f50e5c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Oct 18 20:57:36 2020 +0100

    Include cross platform build fix for ax_have_qt.m4

commit f8cef17775e45ee1364797d3abefe14851cf5a64
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Oct 18 20:57:12 2020 +0100

    Use AC_IF instead of AC_CHECK_FILE to check for Googletest in cross platform build

commit 065058f9499c5662cf30010408ff1bdcb8d3d236
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Oct 17 22:03:24 2020 +0100

    Update metainfo file

commit d760d101efec6061e08b3fd0cb08c43a97a427a0
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Oct 17 21:23:19 2020 +0100

    Create Debian package

commit 4fa0daaf47e6a59ec5df4f0bc1343ee098fa4d36
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Oct 17 19:09:19 2020 +0100

    Working on version 1.9

commit 54873d6fa0a6611bc8915316f692712b915c2eed
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Oct 17 15:29:28 2020 +0100

    Added metadata file

commit 1535c128a16d3447e69eff2869315ceac473c147
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Oct 2 22:58:46 2020 +0100

    Add empty line after recipe header

commit 88ddc313693c0aa5097666706b92edf1595c6ee3
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Sep 30 20:09:49 2020 +0100

    Fixed missing whitespace before Title, Categories, and Servings in Mealmaster export

commit 8bd8a7c7299d450ad857e544197bd9ac42f73deb
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Aug 28 22:20:04 2020 +0100

    Add etc/dput.cf

commit 0597765fd21ca7132c9daa7b16a7a938f329353f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Aug 28 20:47:35 2020 +0100

    Enable X11 in Docker container

commit e7df77c4ef3feadf0167f3e3cd6f9c74ecd5be2f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 27 22:07:15 2020 +0100

    Delete AppDir before installing files into it

commit 5b68a1118fcef4cea6e87f2b24cb0524fb6e13e9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Aug 26 19:30:27 2020 +0100

    Backport to Ubuntu Xenial

commit 0d5213197c338869527969466bc490d62d4c2e42
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Aug 24 21:22:49 2020 +0100

    Documentation on how to use AppImage with KDE or GNOME

commit ae4e26e51961e348f533c4e6fa9abd4f37356ba9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 20 21:23:23 2020 +0100

    Use calculator icon for unit converter

commit 0206de5653a18682d7ffefac674cb3bb3b6c78f8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 20 20:55:37 2020 +0100

    Add Linux Apps link

commit 8e1218df30d35b2f2097c0a80c2b78a543de282f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Aug 18 21:13:32 2020 +0100

    Removed link to 01net

commit e72cd92bee245abe2f4e1eb1c54501a0b4d1c1fd
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Aug 14 22:02:02 2020 +0100

    Set initial amount in unit converter to one.

commit abda6eba1952ad9cd604dc7dbbede3746b46a727
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 13 22:41:39 2020 +0100

    Remove workaround description

commit ca1c22e9241712276875793dba84a1771ce4e85e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 13 22:15:32 2020 +0100

    Update installer size

commit 53d47d7990814cb9881f8452912bb1966038e740
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 13 21:58:08 2020 +0100

    Version 1.7

commit cf6e203c56d28afdfa35c69b254f3867a02781ad
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 13 21:32:50 2020 +0100

    Add unit converter to recipe editor

commit 10279e107a1f2d68b9ac3260a1b05e0546bd6586
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Aug 12 21:59:15 2020 +0100

    Unit converter fully functional

commit 682e735b51de5430a877f681d06adbab3e0837fd
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Aug 12 21:25:56 2020 +0100

    Add density of different ingredients

commit b01418ce1fdb27d9c0e502d4e20e83f7dab4498c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Aug 11 22:46:12 2020 +0100

    Implement various unit conversions

commit c363a18f0142a8472ac9b9babb23cf3810b48039
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Aug 10 21:55:32 2020 +0100

    WIP: window for unit conversions

commit 598bcc5474871dfe7fda23e07e04230948dd67aa
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 9 16:18:32 2020 +0100

    Update instructions for deleting database on Windows

commit 2646f8b379d5a6d18914b88dd8455ec5ed820c63
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 9 12:16:06 2020 +0100

    Workaround for bug

commit 6b624ac6c950ac2b0e3108e62cddb370044656cd
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 6 20:02:04 2020 +0100

    Make linuxdeploy binaries executable

commit 67be6b7f01e231e6d165f03d6257828e2e455554
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 6 19:36:01 2020 +0100

    Update NSI file

commit db8838ecd494e6ff1b8011ac399bbbfaf765068a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 6 19:09:32 2020 +0100

    Update README

commit c5b9446aeeeae2e764c98331f432c3609a50d4a4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Aug 6 19:09:00 2020 +0100

    Build appimage on host system

commit cbae00d85411f4e7f4ee313abb72164a7047cf33
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Aug 5 22:57:34 2020 +0100

    Working on Debian Jessie container to build AppImage

commit 4143b2b9f51bd6e0066a4749aeaa7ed36f7428b2
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Aug 4 22:25:25 2020 +0100

    Changes to README

commit b08c51d38f3801fe7d8f80a4ab0cf68c7f6158a9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Aug 4 22:22:26 2020 +0100

    Minor changes to Makefiles

commit f172f0ee7af398f98e1bd980bc6b628133ef8f20
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Aug 4 12:43:30 2020 +0100

    Update comments in Makefile.appimage

commit 3366bec1d9581c59e4e9ad3bab8e0f7da7eb3fd5
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Aug 4 12:24:52 2020 +0100

    Removed KDE from categories

commit 316a7024fe42873af9a8bd8f760687a3a190049a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Aug 4 12:24:42 2020 +0100

    Update README

commit 775e4ebcd3857ce7c9ce4f1760916aa6f09cc60e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Aug 3 23:45:02 2020 +0100

    Update README

commit 13b84ad7300c2da266bb27790899f6646a7baeb2
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Aug 3 23:36:00 2020 +0100

    Update README

commit 8d76e88365cd564f91e9decd3751abfda0a91798
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Aug 3 23:34:14 2020 +0100

    Created AppImage

commit 4814f8125851c5c3ad6de3e083fcbe77ef3f6beb
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Aug 3 22:02:41 2020 +0100

    Add Makefile to build AppImage

commit b24115b840f91968e1ea4ed77068ab4805acca91
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Aug 3 21:50:22 2020 +0100

    Make application relocatable

commit 793763142852d4183d00168ca9f12f7651235997
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Aug 3 16:28:20 2020 +0100

    Add other AnyMeal links

commit 10340dbdb7cd5c7df2186ae7d606562acbf61c39
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 2 20:53:20 2020 +0100

    Remove export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

commit 58485e40070705111a0c77a8ecd956780a105bae
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Aug 2 12:07:36 2020 +0100

    Do not close RFS bug

commit 420a1aadab396eb9497e1a6a8dc7fb25512bc653
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 1 23:25:59 2020 +0100

    Add license paragraphs

commit 51ece4a132ab997c11d8c47d6dc3836972c5a329
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 1 22:45:17 2020 +0100

    Force update of Docker container

commit 8f3d01513dcfc3b22982eb831e2fb4c77ea14d61
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 1 22:23:43 2020 +0100

    Version 1.6

commit 08e444d80d7f43f0e90c0b9f9c8f94bf9e2342d9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 1 22:22:40 2020 +0100

    Update copyright information

commit a79833683e0f86f9c4b9d91989ceb299d5db7e39
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 1 21:17:21 2020 +0100

    Update changelog

commit 285d0e5d642801984ba7d3e706d5da101acad990
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 1 20:49:55 2020 +0100

    Drop changelog entries that never existed in Debian

commit 6ed3940319a0652c70169d5dbd14a6e5ea3d9861
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 1 14:54:27 2020 +0100

    Add DEB_LDFLAGS_MAINT_APPEND

commit 79a82be5f27a55f79964a0a40bb628be63e4d11c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 1 14:49:23 2020 +0100

    Do not override auto-install

commit 7347620b52c3097c6f45153275951fc50b99f51f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Aug 1 14:46:36 2020 +0100

    Section: kde -> Section: utils

commit 5651316e1bdc4381dc64e39647d90ce88ed2e451
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jul 31 22:30:42 2020 +0100

    Replace horizontal tabulator characters in instructions text

commit 3b2f263050b64c99a40328ae9a2b6a7e5c2e4366
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jul 31 22:08:46 2020 +0100

    Ignore 0x14 characters (device control 4)

commit be27a5d879a1db7eda14343f70ccf7acb5087189
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jul 30 22:58:07 2020 +0100

    Added Vcs-Browser and Vcs-Git field

commit 458f3b224f5fcb69b7de4bd1cdc306369105e27c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jul 30 22:51:56 2020 +0100

    Comma not followed by whitespace

commit 7ae5ba1339c7b196c2eac8ea134968bc8d14c494
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jul 29 21:21:50 2020 +0100

    Ignore leading spaces in servings amount

commit a533f83d63fa32d303648fc1d589007dc5784f87
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jul 29 20:59:12 2020 +0100

    Minor changes

commit 418057d97dace1dcbf9bc10170a07572e0045475
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jul 27 18:36:00 2020 +0100

    Add Windows Vista Style plugin

commit b27949f18b23f2c077dff918a185080b925525ed
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 26 22:18:29 2020 +0100

    Version 1.5

commit 237023474f8139f0b05f8db4b9dcc648b910f717
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 26 20:03:06 2020 +0100

    Clean compiled sources so that compilation does not break under Ubuntu 18.04

commit 91b73992f687525c137b36d4ff28f26f02b5e258
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jul 22 21:50:59 2020 +0100

    Update README.md

commit 743c2167fb7f3cdf4466b998364ec25f664f935b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jul 22 21:47:19 2020 +0100

    Update README

commit 61e41ac17290ff481a68a0a5cfb78ea25db64482
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jul 22 21:44:43 2020 +0100

    Update README

commit 0b4990a2d427690acd56382a2eca94f6204d776d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jul 20 22:10:50 2020 +0100

    Add README.md

commit 87bd30e54696ce940618a42d3e13e3405514c576
Merge: 17e6bb9 9a74ec8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jul 20 22:09:31 2020 +0100

    Merge branch 'master' of github.com:wedesoft/anymeal

commit 17e6bb9689d24a6a514c4ecd36be9dac60486349
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jul 20 22:09:09 2020 +0100

    Minor changes

commit 9a74ec877404632ef3a7121ed08dde655a743f68
Merge: 7c34c6e 8c1a02c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 19 22:32:15 2020 +0100

    Merge branch 'master' of github.com:wedesoft/anymeal

commit 7c34c6e5b66b1808d0dfca2a1b48ad6540dc58c0
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 19 22:32:00 2020 +0100

    Update installer size

commit 8c1a02c031d62bdd84fa0c9204b8b9a9b0b371a8
Merge: a5600c0 86c689a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 19 22:25:19 2020 +0100

    Merge branch 'master' of github.com:wedesoft/anymeal

commit 86c689a38890f72ecead7af34166efdf1e2992e1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 19 22:25:07 2020 +0100

    Install windows print support plugin dll

commit a5600c09473940ec00be0d83250efb2a7bc12b2b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jul 17 22:21:55 2020 +0100

    Update changelog

commit c6e8cd35793edbf5dcd7166b952239942bac2f42
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jul 17 22:17:04 2020 +0100

    Remove lintian override for testsuite-autopkgtest-missing

commit fb70ca5c0906c70c509cd78d7e6c92579ec25035
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jul 17 22:04:24 2020 +0100

    Version 1.4

commit 4ebc88182c89aee746f2c0415592ac637dae5c09
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jul 16 22:20:27 2020 +0100

    Make splash screen more gaudy

commit 8c426d981bbf4e0bfcce2bdbf7f5c51c9ce36723
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jul 14 22:12:49 2020 +0100

    Update copyright years

commit f302cc9618c89564916c7ef8af923912d6798ace
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jul 14 22:07:08 2020 +0100

    Add icons for adding to category and removing from category

commit fa0b073bf31638d33070dfc270b15891a30464d3
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jul 11 21:30:38 2020 +0100

    Set version number to 1.4

commit 1017050a23dda583cb2785fc1db3f35b2655aa0e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jul 10 21:12:14 2020 +0100

    Increase cache size

commit 504516b46f327880835967de909527813e60928a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jul 9 20:29:19 2020 +0100

    Disable editing if no ingredient or instruction section selected

commit 08cc43d89d057bdb15df0664c0810181eef61b03
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jul 8 21:59:19 2020 +0100

    Disable ingredient edit and instruction edit until something is selected

commit 210c84b1385256b04f8cd21bcedc500b9f987762
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jul 8 20:45:18 2020 +0100

    How to uninstall

commit af3517643a47ac07c22c40396578e04adc981adf
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jul 6 22:11:22 2020 +0100

    Add lintian override for testsuite-autopkgtest-missing

commit e5c0ff0de61ef11f40634b4abc5c57ae7fcaf9fa
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jul 6 21:24:29 2020 +0100

    Update installer size

commit 8daa550b25906098ca4ea32fa18ef894f987a14b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jul 6 19:11:19 2020 +0100

    Protect string from getting deleted

commit 8d5e25417cb18952913e66bc5fd8ba57ffad5128
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jul 6 18:15:06 2020 +0100

    Version 1.3

commit a84a30371d5244b3904fcc82bca753dcb0f151f0
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 5 22:01:07 2020 +0100

    Delete recipes from a category

commit fcc898947e7b352e45cf71a9ac58f96d3e7b02a1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jul 5 11:34:08 2020 +0100

    recipe database software -> recipe management software

commit 052a207697b9c5ae67e4e3c22278d9eeae9478f8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jul 4 23:04:35 2020 +0100

    Add selected recipes to a category

commit 42dafc0bcf9fd944e36c84cd6c681871275765b1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jul 2 21:08:58 2020 +0100

    Add some tool tips

commit b34eb725349dba1a64b759a17c2854572754ca07
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jul 1 21:14:13 2020 +0100

    Select recipes without an ingredient

commit 342bcccd960314fc43f834dad7987b9ffc99a34c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 30 23:03:36 2020 +0100

    Make title search faster

commit b8005256ce0b02883e14a2ca108d57702274b230
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 30 22:25:34 2020 +0100

    Make queries for category and ingredient faster

commit 5c70a04c050719161bfe24ae79671307a82d4ade
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 29 22:16:00 2020 +0100

    Add editing to documentation

commit 25f04f5deab90ffadcce09251348dbb27decf786
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 29 21:44:57 2020 +0100

    Updated TODO

commit ae0909661d1f13f31addb1fea868197eae55b11f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 29 21:07:54 2020 +0100

    Include assert.h in main_window.cc

commit 723f51424fbe0d0bf452449f18e562cc9b1f2905
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 28 23:05:40 2020 +0100

    Set maximum length for title

commit 3f61f9383a57a818530caad1b2b931f78dc125a5
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 28 22:37:27 2020 +0100

    Update date in changelog

commit ff429e9953946864a2a5cc3da4f3fb79484bcd61
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 28 22:25:57 2020 +0100

    Edit current, copy, or new recipe

commit 5d0c5fceaaa2acb6abf7b7d77954351f6ccd5f63
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 28 21:47:08 2020 +0100

    Set amount to floating point number if amount is longer than 7 characters otherwise

commit 3b12c041eefe581b58ac586134dceb44254cf9ad
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 27 22:45:41 2020 +0100

    Validate input when editing recipe

commit e511b72bd6b4c215b3d9e8384d340124b9fb1fff
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 27 21:11:48 2020 +0100

    Garbage collection

commit 2bcc8cec28dfec9e52fd410a5c954b984f9655db
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 27 14:49:53 2020 +0100

    Show number of recipes

commit b8b4e7f454cc21bd8997d56ea5b4c38224e2dad1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 27 14:43:31 2020 +0100

    Update TODO

commit 4e01e68bd2af6393e2260727df4b24daaebf07b2
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 26 22:48:53 2020 +0100

    recipes -> MealMaster recipes

commit c05d110073a37c19b5f6f335e4dcb43d8b3b6f6a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 26 21:58:31 2020 +0100

    Update title and recipe display after editing

commit 072c0edfaaac4d15d99170ca8fa366b4d9eebf0c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 26 21:43:25 2020 +0100

    Select recipes when adding them

commit 3bcb562ce81059bc830c2c3be45707bfd8f864d9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 25 22:32:59 2020 +0100

    Set layout stretch of main window

commit 538a8652c888a80cfb488180b97aafa8bbebf13f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 25 22:03:39 2020 +0100

    Retrieve recipe instructions from editor

commit c678fbe80bc9301c0e52010c001c1d40c2701f07
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 25 21:21:48 2020 +0100

    Working on construction of recipe from editor data

commit a0b13aac54be9670c3ca478209bfbe5d527dbf58
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 25 21:00:02 2020 +0100

    Edit instructions

commit 6fa09a9b90569cff42259304248be89b049c0522
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 25 20:44:09 2020 +0100

    Simpler representation of instruction sections

commit 9335484ed0e6cd9c6a61a2c85f605ac139321139
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 24 22:37:35 2020 +0100

    Click button to remove instruction section

commit 67237265ff6fb29c03accdaa1386507789adc5a0
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 24 22:07:27 2020 +0100

    Bugfix for setting current index in instruction view

commit 6163f645ae69a08359f16b38f7f1b2169821f673
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 24 22:06:56 2020 +0100

    Add instruction section

commit 05ab991adf7fdc5fe4a93345af44b3eae41aec2f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 23 22:44:33 2020 +0100

    Edit instruction section

commit ea767465e35eebbe40a0ba33711c99bdfa4cc95d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 23 22:23:41 2020 +0100

    Add instructions model

commit a10168c0dc0fa23aa20d15cc393a949aaf6b1ec7
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 22 22:51:03 2020 +0100

    Refactor moving of ingredient sections

commit 02475a02492693a3671f9648e2d647def3c47565
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 22 22:35:36 2020 +0100

    Move ingredient sections

commit 136b1ad57d0d0580437454fc903efe8756699a5d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 22 21:26:41 2020 +0100

    Move ingredient into neighbouring section

commit 46d64cf9825352e62dc876b2bc9f72994102c4b9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 22 21:15:03 2020 +0100

    Bump up version number

commit 228456f752897241a785a76a568530198f0f2a43
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 22 21:12:38 2020 +0100

    Ignore leading spaces in title

commit 831637264c85c958e9cbe6d589992ecbc36ccf02
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 21 22:54:45 2020 +0100

    Move ingredient up or down

commit 93c7eec5dff11568e980de5e7a7609178a3c6dea
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 21 21:35:51 2020 +0100

    Update changelog

commit 5b210dc8bb81a0ab89a5ce463698bc004636193e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 21 21:31:38 2020 +0100

    Disable editing

commit aaf7af163ee009108e3a843955d769e17c037d53
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 20 23:21:17 2020 +0100

    Add ingredient section

commit 5b943ce0783906ef00da46c141a08725caa103d7
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 20 22:46:26 2020 +0100

    Set focus when adding ingredient

commit 1407bb57f6f4d7bdcc90a6ae95e322247a173245
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 20 22:19:51 2020 +0100

    Edit ingredient section

commit b6426107fd7d331d7eac85e27c0b2ea9aff1bf8d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 20 13:47:34 2020 +0100

    Create desktop shortcut

commit db63644cba9073c975e0b4a45b55df75ebc61f2f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 19 23:08:27 2020 +0100

    Remove ingredient section

commit 5a6702745ca1d92fe9f41299afd37f95cde9faf8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 19 22:44:25 2020 +0100

    Delete ingredient

commit 972910b74f7accd50ddabe60088553a35b86713c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 18 23:41:59 2020 +0100

    Bugfix for model index

commit 44c51e66e935e8dac3088caa3501cbe4956573d6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 18 22:58:37 2020 +0100

    Bugfix for rowCount

commit c87bead3e3b2549b6281d2f32f5fef9967c75ef8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 18 22:37:19 2020 +0100

    Add ingredient when clicking button

commit 6770cff4d78a48ef472cf0a1ee58d0c3b57c6664
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 18 19:21:15 2020 +0100

    siblingAtColumn not supported on Ubuntu 18.04

commit c1e1f80284ea8d6cc38e19d87f24aee6d1c1dfaf
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 17 23:00:34 2020 +0100

    Change amount type

commit 4227c1c678f1a7e3a4df0e2bfa3a8f3ef60464b2
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 17 22:50:51 2020 +0100

    Edit fractional amount

commit 0106c920c4c17061642adec286139b2fd8b98f4d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 17 22:36:40 2020 +0100

    Edit ingredient unit

commit 4f65e1df5f43b4297ff2b2454d80c0c21104bb8c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 17 22:14:21 2020 +0100

    Make ingredient name editable

commit c06d7e6e694a493cbfc91f6fe8c100cc06549ba9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 17 21:55:57 2020 +0100

    Show current ingredient

commit e67521ef2a1a1fa2cad4e2ec5291cf3d489aa451
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 17 21:49:49 2020 +0100

    Always show current recipe

commit 553cd2d69ff974d4308b1d77f895d7660a9f3863
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 17 21:34:08 2020 +0100

    Added download counter

commit ecc513728092d387a2506ee8b72c4ccba04e3de3
Merge: 5f3f592 caecbdc
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 17 21:32:10 2020 +0100

    Merge branch 'master' of github.com:wedesoft/anymeal

commit 5f3f592cb6d24a32841b16e0433ec1acd19542d8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 17 21:31:56 2020 +0100

    Show amount and unit of current ingredient

commit caecbdcc83e96436dfa49d308fa1bb71f10d8d43
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Wed Jun 17 20:29:04 2020 +0100

    Update README.md
    
    remove icon

commit 9b4e3e7bb1738e790c681f352d9e9f1ea5d3341a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 17 20:06:53 2020 +0100

    Show ingredient name in edit field

commit 92ba832cb4658c15848c7a3675dd679cd9ac72ff
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 17 19:59:33 2020 +0100

    Removed trailing whitespace

commit 90ea70fa4ab314566e606034d28cb646d181680f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 17 19:55:34 2020 +0100

    Check whether model index points to an ingredient

commit af079d32b908f7f1618d91e428950d3a8e536634
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 17 19:11:08 2020 +0100

    Added license header to sources

commit 259240d500179b6d4d75adb6cc22f72098947ce7
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 17 17:18:17 2020 +0100

    Update information about software

commit 8257959f121d0df06eac9544bed14b7cbc77efa7
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 16 23:13:51 2020 +0100

    Added more translations

commit 77af2e80b5ad85054d2b8e17be0c94a6a77bb216
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 16 22:44:52 2020 +0100

    Display ingredients in tree view

commit 2286e01d587057f6f3eb4499764cba24ea2366ed
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 16 22:44:21 2020 +0100

    Add splash screen source

commit 4fbcf478aa5487debc7dba61ab446de3278c0bdc
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 15 22:56:38 2020 +0100

    Create empty ingredient model

commit a00742422f7322cba25066b9aa8a622a9acd3590
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 15 22:21:35 2020 +0100

    Working on ingredient model

commit 116fdacf04112809739c0a458e0493efc79c26d4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 15 21:58:08 2020 +0100

    Set active page of amount stack

commit 58bd7349f7713360687b3cf020fee72c8b565dd3
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 15 21:56:17 2020 +0100

    Populate editor with values

commit 2f8f55aaedbde19a0caac1e55f7c94db434c4560
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 15 17:45:20 2020 +0100

    Working on recipe editor

commit 41a6c452ebd6f1a1aed986b2cc4a44bb22a8767b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 15 17:35:46 2020 +0100

    Working on editor

commit 1d6cd5f3bf7d80d35816ec861ffeb43d7151616c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 15 17:02:45 2020 +0100

    Working on recipe editor

commit 7d5020046a2e51268253a292dad1460f814988a6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 15 16:46:41 2020 +0100

    Update desktop file

commit 54eac2c6c6607c0c3fc4ec7a4c1f4e7bf716a096
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 15 16:43:06 2020 +0100

    Working on editor

commit 88e8404b63f95a652b30e031c84ebae53d1d5ea5
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 15 13:36:30 2020 +0100

    Make splash image smaller

commit 5b8c6adff2da8f35aef5eefc0986d4c10a36db22
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 14 22:18:58 2020 +0100

    Use PNG file for splash screen

commit 1476ed98d57f7e9cd2404c1e242aacdd5748d2a2
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 14 21:30:37 2020 +0100

    Add LICENSE to Windows installer

commit d0b978ad5819925befde4db097f12ecb7fa592f4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 14 00:06:08 2020 +0100

    Change title of about dialog

commit 7a510f638a15533151fe86ffbbe955761f7e6658
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 14 00:01:25 2020 +0100

    Working on edit dialog

commit bc44ff01d5ca1f01829bcc4922a9079d3047677a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 13 23:43:15 2020 +0100

    Added initial edit dialog

commit 8ae7bcc66e77a66eb304a81329123d85a2d68a0a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 13 23:42:46 2020 +0100

    Do not install autoconf, automake, and libtool in Docker container

commit d6e88b8a42c6c521bd64c594c598f89983c4b06c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 13 22:29:04 2020 +0100

    Set version to 1.1

commit 42e5d4beafd90777a26646f970230d96344ca6b9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 13 22:28:56 2020 +0100

    Add search icon

commit 7fe799ffe9f5435abe18cd7320eb1dd281e04dfc
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 12 22:44:28 2020 +0100

    Update splash screen

commit fd0706813e957960458370b9bddb7da1005caa2a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 12 22:41:56 2020 +0100

    Add splash screen

commit a38c05047b461fd0795ccf68ea9f197955d6677c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 12 22:41:40 2020 +0100

    Added splash screen

commit 2cd883427ad7d94aad2a92a5fb1891777d6daf12
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 12 22:17:13 2020 +0100

    Minor changes

commit 707274aac6cb2c909cf71b0b2931f1f29e245592
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 12 22:15:06 2020 +0100

    Show number of successes and failures when importing or exporting

commit 111fe85549f824fb2a10943dfd17c76ef005eeab
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 12 19:11:03 2020 +0100

    Rename toolbar

commit ae5e21238f13a24f151a6a8ef796934f94183058
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 12 19:04:10 2020 +0100

    Added icons

commit d5721d4ccea87836ed138e653f364eb03a98ab42
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 11 23:47:37 2020 +0100

    Minor changes

commit db1193076c8fb79ab9d6f7434e75e14dabf2ff45
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 11 23:37:20 2020 +0100

    Always output CR-LF

commit c96e3372e9032f2ee9945f170700e132e788975b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 11 23:32:18 2020 +0100

    Export recipes

commit 8815f2dc69c71f5a8563bd1033638395665fa144
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 11 23:01:05 2020 +0100

    Added export dialog

commit b71bac83dfa61ff2c2abd73cfdb214e829b7d3b4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 11 21:43:35 2020 +0100

    Force newlines using colon

commit 51dce9f817ebe9457655669c4e645044de081ab6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 10 23:02:09 2020 +0100

    Ensure UTF-8 sequences are not broken up

commit 1e90326b99b3a32e9ca6cda85d5bf1f5cc8a3387
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 10 22:59:46 2020 +0100

    Perform emergency line break

commit 131648ce9cfcaeb0a70d00f184fb1c3245510a6d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 10 22:54:13 2020 +0100

    Output empty instruction line

commit b87d7480a746f311108b475766673fe847739d1b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 10 22:41:04 2020 +0100

    Add line breaks in instructions

commit a86bb3a45445491def278ccb40ddf9b0516d8195
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 10 22:17:59 2020 +0100

    Output newline before next ingredient section

commit c9d4c16aafc826cca9118773f1cb7931e2ad1892
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 10 22:08:42 2020 +0100

    Output ingredient sections

commit c9a82ae4b74eec47cc5626d7cb08df131de10d1a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 10 21:48:07 2020 +0100

    Preserve UTF-8 sequences when breaking up ingredient text

commit 170ad2d3a4a87de62c179e62126e4290f6738285
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 10 21:37:08 2020 +0100

    Emergency line break if no space character found

commit 260277d8d1a5a2f6d56390001a042ae6bbce3469
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 9 23:13:52 2020 +0100

    Break up ingredient into multiple lines

commit 71885967825df60f0a938746c8f9470c5c5fdc7f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 9 22:37:34 2020 +0100

    Output ingredient line

commit 6d231071258e6e1f0bf991c40f3332c4c55803f3
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 8 22:33:53 2020 +0100

    Output recipe header

commit a9669972b07d3775cac455f1a5681d705167456e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 8 22:10:47 2020 +0100

    Removed gmock.h and added empty export module

commit 8ba35fe3e63112d2f35e089d7fb8496468b5b28c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 8 21:57:00 2020 +0100

    Create method to get selected recipe ids

commit 47abc40340af6feac8068313f65957693a8bc0ec
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon Jun 8 21:48:56 2020 +0100

    Add context menus

commit e168b74fc656596ba80b6ea64029fce117ce3a8a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 7 22:59:48 2020 +0100

    Translate recipe headings and units

commit 209f234df3a139be758ff90d324c3c8b913d5c86
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 7 12:09:07 2020 +0100

    Use qt5-default on Travis CI

commit 3bb5c03d263e89cdc02ece815f1c372e74be1716
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 7 12:02:41 2020 +0100

    Update dependencies

commit d6b9389c371dc29addf4881195bdf95184bd75e7
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 7 11:04:34 2020 +0100

    Add package providing lrelease and lupdate

commit 3532bf34d2655e70905116f0a1b8058714d10495
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 7 10:58:36 2020 +0100

    Add qttools5-dev-tools to Travis build

commit f3dc85676f5f707c7a567199eff39b75a1f43904
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun Jun 7 00:07:54 2020 +0100

    Get German translation working under Windows

commit 4bf4726392064ba28d0f587e917cf208cf609179
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 6 23:00:50 2020 +0100

    Add translation

commit 29e7d766d79da41cfe8b9e97b747aac5889d5f45
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 6 21:22:06 2020 +0100

    Added rule to build qm-file

commit dc2c4187759cf0f55d6302451084253de62a4796
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 6 21:09:31 2020 +0100

    Add German translation

commit fb00f8a14a6b0366cc1580439564d6637ebd032b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 6 19:39:50 2020 +0100

    Translate more strings

commit da54cde136fea85539e0612bbc24872bd664de89
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 6 14:27:23 2020 +0100

    Update TODO list

commit d380e3b1aca10b4a9a39da65bfb51f70a83482ac
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat Jun 6 13:36:17 2020 +0100

    Added script to download recipes from thehoseys

commit 0e3cb1938552f6aa7c28ef736ae9f0b7851e71ca
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 5 23:13:33 2020 +0100

    Try to display logo

commit 612bd36bc5570a9d2b37640ca50cf196e715d511
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 5 23:11:32 2020 +0100

    Update README

commit dc4e2457c3fe024393921035182c382c4866ec55
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 5 21:53:52 2020 +0100

    Add Dockerfile

commit 40650090c220697d369954a6ab4be2c566ced553
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 5 21:32:01 2020 +0100

    Remove old symlink

commit 46bdd080bb74ce6f68a0232e9ed6f3f8e14c0a19
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 5 19:26:31 2020 +0100

    Add Makefile.docker

commit fa1d4419ccc8e2c9542e6c55bfa54c6c78c3bd7c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 5 19:08:07 2020 +0100

    Removed superfluous LDFLAGS

commit b7b0a756e040e7760bf85d2bf068e85cc2831742
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 5 19:07:52 2020 +0100

    Set Rules-Requires-Root to "no"

commit 8731ea15983d85e35a7ab364c3809ca903a46fbe
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 5 19:06:23 2020 +0100

    Update standards version and debhelper-compat level

commit 84488eae6215ea5ca0c30745ff8205f4fb296402
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 5 19:06:09 2020 +0100

    Remove trailing whitespace in changelog

commit 220e688f028a41d525b248bb33d59e39cacd162c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri Jun 5 19:04:15 2020 +0100

    Add keywords and removed encoding variable from desktop file

commit 258ba19b9135f8701672ae244123122c03ca36cb
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 4 23:25:18 2020 +0100

    Adding man-page to installation

commit f293d258864922beb053e686edc8c3b1e387c34b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 4 22:59:11 2020 +0100

    Working on Debian package

commit 57626012a88ba321ba7179755cd8a3de27c26399
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 4 22:47:05 2020 +0100

    Working on Debian package

commit 796fa16e0683e2cf809a7d6afe0d79f6cedbc313
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 4 22:33:29 2020 +0100

    Remove tabs in changelog

commit 890f321b37c6671635127aa6c26df07f948a4c6c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 4 22:31:22 2020 +0100

    Updated build dependencies, add Makefile for packaging

commit 66bff30697309c482a44c223b0a952ec7a5e5da2
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 4 22:28:34 2020 +0100

    Added initial Debian packaging attempt

commit 306e2fdd929b7fc8b09be675677776696fe7159d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 4 21:37:26 2020 +0100

    Set version to 1.0

commit 70dac6945a0ac4cc3aaf2532bb72dc568fb9ec81
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu Jun 4 21:26:58 2020 +0100

    Updated TODO (Windows icon done)

commit eea8d1a2e84d53671b3c57b9e4d98dc5468b0a12
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 3 22:44:12 2020 +0100

    Update NSIS installer

commit a1b4149427e002eb6b75775a39f952690788e224
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 3 22:39:34 2020 +0100

    Added missing resource file

commit d20fde038507dcae1f7cea82a4d6d95e2cb89d7f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed Jun 3 22:25:51 2020 +0100

    Add program icon under Windows

commit ed72c7b582db50d8e2f97f6c5ee95b7b00bfa820
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 2 23:33:25 2020 +0100

    Drop Qt5 OpenGL requirement

commit 35b568742733fa9a922ea738a4bb502ce29c1dec
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 2 23:13:14 2020 +0100

    Add icon

commit 946b9786da91703a26d9750e2cd7b80fa3443176
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 2 23:12:52 2020 +0100

    Update TODO

commit 11ae87d4920cb3824204e6c56ba5edd28572aaed
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 2 23:06:57 2020 +0100

    Remove some trailing whitespaces

commit 44f1388ef2d53472c3ee570fdefff7c5bf09eeb1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 2 22:54:49 2020 +0100

    Add NSIS installer

commit 0eed33def69dc6be145904c71b4e042d5ef9a805
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 2 21:40:00 2020 +0100

    Clean categories and ingredients after deleting recipes

commit 794cc11d178cbd50e90b7a1c73d2922cfdf6c6fe
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 2 21:21:35 2020 +0100

    Changed some buttons

commit 48930ce3ccce3a89aa2ef74b67cfb4dc59158a75
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue Jun 2 21:21:23 2020 +0100

    Compiled using MinGW

commit 46072ec272c05ec542f767db308ed1f2bd4fe52a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 31 23:18:28 2020 +0100

    Install desktop file and icon

commit 6762d5a7bc245eaac698daa0510d9f3add55ab09
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 31 22:55:28 2020 +0100

    Use higher resolution icon

commit f42f5988336b738544b7b85ee7346028c1f7138c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 31 22:21:32 2020 +0100

    Update TODO list

commit e4b1e56e9f890175041b0a1b850e595b3ddad98a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 31 22:06:59 2020 +0100

    delete selected recipes

commit 8af06f4e54bf14d5f4913575cf8404cb1cdeac8f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 31 17:01:22 2020 +0100

    GNU/Linux

commit 05a0f472b6cc805cc05ec967b4e6298a22fb0402
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 31 16:57:27 2020 +0100

    Documentation about anymeal-master.zip

commit fb6a1aea489b61ae5a359087e655f9de2cdd203f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 31 16:22:36 2020 +0100

    Change button text

commit 76e65f387ae2444161827d8e918754a0337b64ed
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 31 16:17:11 2020 +0100

    Bugfix for README.md

commit a3222c1e4ed54c0a5cbbd7dca4aaa732ef92258a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 31 16:14:23 2020 +0100

    Remove trailing whitespace

commit 18df0634a769d1238d40b311ac0c971ac77cf14c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 31 16:12:43 2020 +0100

    Test parsing of ingredient-like instruction

commit a4d010c51a1525f1719bfc51764beabbdbcf77b0
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 31 12:36:20 2020 +0100

    Make newline if there are more than two spaces

commit ab598cc744494cd08ce2c278a8e2e557b97da79f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 31 12:25:16 2020 +0100

    Allow lines with large amount of indentation

commit fb2f48f3054f214686b3ce6392c20692c6ccfe0c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 23:20:19 2020 +0100

    Update TODO

commit 9197a454ee8f810d2b8fc8dab2f37706d9aa493e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 23:00:05 2020 +0100

    Use cross-platform temporary directory for error files

commit 4a7d69cc505a671274089a3b089287d38bca4b86
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 22:53:55 2020 +0100

    Removed parser

commit 6ac61c0cdb17506b6b89ecad2435fd9d17665b45
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 22:52:12 2020 +0100

    Removed TODO

commit b6820e9c1c1b2b8346a57695e778b0ae6dc4d07e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 22:47:15 2020 +0100

    Select input encoding and error file

commit 9aeebfc7d0cdbbaeb2214e03e3001255b118b2f8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 21:04:58 2020 +0100

    Added "about" dialog

commit 13a784fc60b4de170ff6810b39b64151596782a4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 19:15:38 2020 +0100

    Update README

commit d42e7a4eabd6ee186a028a8aa91992e1f5ecde8a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 19:01:36 2020 +0100

    Added build badge

commit e6dc32cf13b1b08fd2f168becdaa4519a350cb20
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 18:57:50 2020 +0100

    Revert "Write compiler output to log file"
    
    This reverts commit 2402084c3862fa346c87c32a173971659454e67b.

commit a0c31be45e5f0da7e8839193f4ade4b195e87246
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 18:57:38 2020 +0100

    Revert "Write info.log to stdout"
    
    This reverts commit 77354bc1b6dec2c60d60837bbbe8c80e1adc42b1.

commit 9ca246f0c6172f1eb7b887d838bdfd320387d23a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 18:54:40 2020 +0100

    Added libqt5opengl5-dev

commit 77354bc1b6dec2c60d60837bbbe8c80e1adc42b1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 18:50:59 2020 +0100

    Write info.log to stdout

commit 2402084c3862fa346c87c32a173971659454e67b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 18:48:24 2020 +0100

    Write compiler output to log file

commit 59dbbf40ec81bfe652729189cad0958e7297ea73
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 18:46:12 2020 +0100

    Revert "Do not suppress compiler output"
    
    This reverts commit b2820b0eaf431e639bbbfecd57a7b4239806051a.

commit b2820b0eaf431e639bbbfecd57a7b4239806051a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 18:43:33 2020 +0100

    Do not suppress compiler output

commit 7e644308a6c4c739cc7a756a9cd71408cf9798e5
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 18:43:22 2020 +0100

    Removed cat config.log

commit 8b19d3b7206cbdff2026070cfe18e2eb426d2bfe
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 18:42:43 2020 +0100

    Remove qtbase5-dev

commit 9d8e3b25d387f918ee10d585a9ac46917bf89b3d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 18:28:55 2020 +0100

    cat config.log

commit 4d88504825f86be7c55c62dd7aaeb893f9536547
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 18:25:11 2020 +0100

    Also install qtbase5-dev

commit 42e5659fb641224846d33d1d3b12cceb466ba083
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 18:18:13 2020 +0100

    Added Travis CI configuration file

commit e828b73c468794963f0dd9c8ba4ec1bbc6b5050b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 00:24:22 2020 +0100

    Add recipe selection by ingredient

commit 68a157326aebfe0856bb1bb81b5bd98e03ad8a16
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 30 00:22:59 2020 +0100

    Add window icon and resource file

commit 163359ec7c72b483b8b5facadf025e23d73b8d96
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 29 22:59:30 2020 +0100

    Report error if ingredient section starts with continuation line

commit 88cb7c5d72277ecc7df65ee5016240dab241db13
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 29 22:59:13 2020 +0100

    Added printing support

commit b574a6dde76de7ebff41c2e887373d0bb8ba7ab6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 29 22:23:51 2020 +0100

    Add print preview

commit 6401b44abc75e83db0efb8f66d6de5c5c4ab5bbd
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 29 22:05:25 2020 +0100

    Added more exception handling

commit 1e7b458402e33b2ec6eb3e2d71919fd4eb6a352b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 29 22:00:44 2020 +0100

    Change layout

commit 76c6337490b1604b07087cd94bc271cc32b99b14
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 29 21:58:39 2020 +0100

    Display ingredient sections

commit f730c207866f2a088ba3182f133240b21f23d1d4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 29 00:05:57 2020 +0100

    Add another TODO

commit c551bc643e5c6f37e8049747fd849b535ea7f2f4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 28 23:58:54 2020 +0100

    TOOD -> TODO

commit 7e298d5de576102e5b03e629fb069758d7ee05cc
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 28 23:58:20 2020 +0100

    Add some TODOs

commit 56d0844e44230825eab8afc454f053c8f2d1954d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 28 23:57:27 2020 +0100

    Remove TODO

commit 74e6ada68cdb5c526d75c5172a6d32922031e64f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 28 23:52:20 2020 +0100

    Reset LC_NUMERIC locale

commit dc6f594e12b0d811086579f4676161f7b83ea39e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 28 23:34:53 2020 +0100

    Added TODO for problem with floating point numbers

commit aac588d79b1993b2e931457b28fb737c19f0472c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 28 23:27:35 2020 +0100

    Display ingredient amount

commit 21a1e4b1c66cc9e114f6071d2feaf2613911463c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 28 23:20:31 2020 +0100

    Display ingredient with units

commit b86e0a26dedc21b402b005adb8845d2db03cb3ab
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 28 22:32:43 2020 +0100

    Working on HTML conversion

commit d88ea4ebc75e4e9d442d09778045029617f48cf8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 28 22:32:32 2020 +0100

    Bugfix for ingredient query

commit b73d57e744388a1e1a395fc17c59872544814164
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 28 21:59:34 2020 +0100

    Working on HTML conversion

commit bb8b508a70ac66e86afda9b143a12544cd29b4d6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 28 21:06:12 2020 +0100

    Created empty HTML conversion method

commit b3bd43b992a655d9d9a4804a15ef0064825203c3
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 27 23:32:55 2020 +0100

    Display recipe id in text browser

commit 0810868ccee57a2d9690b807ede0bf2fd210f250
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 27 23:11:53 2020 +0100

    Get recipe id

commit c6b00c22b609e397eb2442756ca8374134a91db4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 27 22:58:20 2020 +0100

    Select recipes by category

commit f8fb3c8baa2f3c1cacdb199a33f7d945206557d6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 27 22:41:43 2020 +0100

    Completions for categories

commit ecefc4ac3a882a8a87c4e22ce90e4c89fa857390
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 27 21:27:48 2020 +0100

    Get categories

commit 5fcf90b128e674268e1e57e7f047ee8be98cdfa4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 27 13:07:20 2020 +0100

    Clear text after performing search

commit 9de556aa35b057cc6c82fcc11f8394cdc31ae8f1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 27 00:16:40 2020 +0100

    Speed up QListView item layout

commit 07b4fc03a6fc55e9e0758c8a2376b1dbc15505f6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 27 00:09:02 2020 +0100

    Reset recipe selection

commit 4f553b986f2ae6928dc7645ed4a99e18ee21fe7a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 26 23:56:17 2020 +0100

    Display recipes

commit 13cb80a759a4b8e7ad92c476b9c57f4c36418cd4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 26 23:29:19 2020 +0100

    Added list view and text browser to user interface

commit 6e2ea57dc06c8bece509d0905717a30332ed6893
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 26 23:20:40 2020 +0100

    Select recipes by title

commit 969c978ee63d2975865670bb47c69bf1f7a24767
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 26 12:24:38 2020 +0100

    Added error handling to import

commit 95483f545a2b94e591900b41caddad7de8e27102
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 25 23:12:23 2020 +0100

    anymeal.db -> anymeal.sqlite

commit e9fd37d5e0969df4771e0578b363a1d9430ada6d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 25 22:06:47 2020 +0100

    Add menu item to import recipes

commit 7007c7f6fd3a3abd24f32f6493a20125377b4c19
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 25 21:30:07 2020 +0100

    Connect to database when starting GUI

commit e5505f4f6ec17fe65e71635c5f9382c0990d3990
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 23:44:14 2020 +0100

    Remove printout statements

commit 9db74f1d5f04b61198b7d016ca3f3593af171325
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 23:40:14 2020 +0100

    Made test stricter

commit 8048456ddf4c64886da4f7667f1285b121fba25f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 23:33:51 2020 +0100

    Instruction section with trailing whitespace

commit 94b591b13363cedfbc8aa056b2e84f26b2a3e8e6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 22:33:58 2020 +0100

    Add instruction sections

commit def17b70dfdecf3f887dabd361374f9d5546dccc
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 22:23:23 2020 +0100

    Add ingredient sections to database

commit 193592052ec69d4a1424141594e3ee6e86bb939a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 21:55:30 2020 +0100

    Prevent empty ingredient sections

commit 49cba634f78909ab85ac65dffd7e497b17dcbf38
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 19:22:34 2020 +0100

    Add instructions to recipe

commit f6bb08d69063f04147c1c64324b7228e0a7fb3e6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 19:17:44 2020 +0100

    Add missing reset statement

commit c8e7c1fb6568045d8734826527f561d95f33524f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 19:16:25 2020 +0100

    Add recipe instructions to database

commit 184139a81614b22b7ae8760ae1d216885ea6c2c5
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 18:23:10 2020 +0100

    Ignore leading whitespaces in ingredient continuation line

commit 334357dfa4766de16a6c1f1c879c84301c498bae
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 17:38:32 2020 +0100

    Test instructions of recipe with trailing whitespaces

commit 02a17db60fe9245ef4f3b34363deead720af7a5e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 17:33:42 2020 +0100

    Test recipe with trailing spaces after ingredient

commit f237b249688a1827d67be66db8fd3daaf36deec4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 16:32:17 2020 +0100

    Retrieve ingredients from database

commit 35e8a61455b4b679724172d675e8300e6448af63
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 15:59:24 2020 +0100

    Add ingredients to database

commit eed585e39c150a9b6e9a741d71a8ca9fd1722023
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 14:45:52 2020 +0100

    Removed amount type

commit b37c6267ac674cf2c591c45320ca7c88d52b1418
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 24 12:39:28 2020 +0100

    Retrieve recipe categories

commit 0dfdd1dde933125a58f17c5d71b8550a6e38d8bd
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 23 23:19:20 2020 +0100

    Store and retrieve recipe servings unit

commit 106ced991afd681c64a4a32323615a71fec5718d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 23 23:09:50 2020 +0100

    Store recipe servings

commit 8a8e02e0348044c6ee7bb2ca170de177e034105f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 23 23:05:02 2020 +0100

    Check for existence of recipe

commit 24eba1dd056fd26b589d4e760b6ee156db6efefb
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 23 23:01:28 2020 +0100

    Retrieve recipe title

commit c280bf9ed9c1168621696099f7125c6255f677fb
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 23 22:12:40 2020 +0100

    Separate method to enable foreign key checks

commit 0c198d31d79a3e79dce48565d480a17133b22934
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 23 22:07:19 2020 +0100

    Query user version

commit 570e8f0676704e8b3362b7e27865afa28ab6a9c8
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 23 20:45:50 2020 +0100

    anymeal.db -> anymeal.sqlite

commit 2f2113325f25f942edf9de62377c8c878cf51233
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 23 20:39:09 2020 +0100

    Use fast in-memory database for testing

commit 2eba52130db6de7355f73571e6ba57b345332454
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 22 23:43:49 2020 +0100

    Categorize recipes

commit 7d6842c10bbcf1836f4d85db4035f2883348b757
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 22 23:38:53 2020 +0100

    Insert recipe categories

commit 0df1fc8f9b88662093d467daa114c5cc04b6d6f7
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 22 22:07:08 2020 +0100

    Add transaction statements

commit 6318a1bf5ba437a47f6ac92e665c92e1a90d1938
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 21 23:11:27 2020 +0100

    Recode and insert recipes into database

commit ffe38181c02a75e2bb0e55f65cbc36b8f779a96d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 21 22:51:47 2020 +0100

    Insert recipe title into database

commit 0abbcec3c921316998ec4b199ef8a1486413372c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 21 22:02:13 2020 +0100

    Add more exceptions

commit 11a86d27b405b548811239955bfd50e7212268ea
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 20 23:40:21 2020 +0100

    Use VARCHAR for recipe title

commit b01a757aca767cbc64350a4e7ccc08f897a558b7
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 20 23:35:22 2020 +0100

    Create recipe table

commit 529bdebdff68e7b979217d48594815eb1d0e35ff
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 20 23:03:52 2020 +0100

    Open SQLite database

commit 7d70e34bdc88e7aa7c79ca45be2baa08aed4300f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 20 22:26:13 2020 +0100

    Check for SQLite 3 library

commit 413386231a1892be47dedc5016567223c9af4dde
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 20 22:14:53 2020 +0100

    Recode recipe

commit 61178abae92e69e9423f55cb21046cb5de4df877
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 20 21:43:45 2020 +0100

    Free buffer returned by recode_buffer_to_buffer

commit f74984ef08191f5507b35a9eba3740a7f969f0b2
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 19 23:09:58 2020 +0100

    Copy recipe servings

commit f2a2d4c9272a28329d70286b9d3ab835f95db48d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 19 23:07:12 2020 +0100

    Recode recipe categories

commit 4c09c96593edd265d77575c9deeb16a19543b4ed
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 19 23:02:34 2020 +0100

    Recode recipe title

commit c441963f11c998d9293dbe673666aa1c2121b4a4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 19 22:47:30 2020 +0100

    Recode ingredient text

commit ee7befbc9a9c36728a8a00c15abea1b0a268f870
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 19 22:34:30 2020 +0100

    Created recoder class

commit 8704d0bbc3a55a1b44b7c2d60ff47e25fdac6be1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 19 18:45:42 2020 +0100

    Link with recode library

commit e882552eaa5b25dbd2d55b70cc7bb3278e6bf7e5
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 18 23:43:26 2020 +0100

    Fixed complicated test case

commit bebed99d829362561ea448f241ba657216308d0b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 18 23:40:04 2020 +0100

    Added more tests for two-column continuations

commit 373673a3771440ba1684457bcb288dab4bcc6e9c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 18 23:15:22 2020 +0100

    Added a TODO

commit b12231b8e7c768b8ce5c988d89a589db66b11a59
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 18 23:14:28 2020 +0100

    More ingredient continuation lines

commit 025f82f41caa95ceb87110e597ca4e02aa5abfad
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 18 22:55:51 2020 +0100

    Continue ingredient on righthand side

commit caefc410eb22f166a1ce9c5f9cbaab6aab37d3de
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 18 22:46:05 2020 +0100

    Adding some comments

commit eb790577fcb05caa89dbefa5b9f220cf6d800daf
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 18 22:39:18 2020 +0100

    Working on two-column format and overlong ingredient lines

commit f949c2b74852b3b30a0fa6c270f0239ff5a12751
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 18 21:28:40 2020 +0100

    Minor change to test fixture

commit 9f8b5527aec0e93f9dac7158eaa7172c2bc0f7e1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 23:39:21 2020 +0100

    Add test fixture to distributable

commit b99e6ca85b457bacf6134de65f702a9c119d0aaf
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 23:34:23 2020 +0100

    Working on two-column format

commit ad42530aed9ddbba72a541c655c96b1e4288a775
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 22:54:52 2020 +0100

    Removed some trailing whitespace

commit 8402ec283e3c4b2bb501c9a45ca1fee582c0b17f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 22:35:18 2020 +0100

    Strict column position of ingredients

commit 8e545db6d45975197130ebf5f70442c9525fff02
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 22:01:31 2020 +0100

    Less parser output

commit 342784f2177139ca8d794d60bef2eb72207d5434
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 21:59:35 2020 +0100

    Reject stray control characters

commit f65bfc4bda6ace4a1f80871050624a3c9a3b6bf9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 20:22:35 2020 +0100

    Added some more output

commit c1f9bbc23dbf6ff5786feb5a63080156bd9ecb99
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 19:42:42 2020 +0100

    Output CRLF when parsing

commit a5a5fc1cfc80339cf6043ca162643386cea4f318
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 19:40:05 2020 +0100

    Fixed another unexpected CRLF

commit e2ae3541ba253cdcade0af97c555cf2e4f5c680c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 19:37:01 2020 +0100

    Renamed some test fixtures

commit 4241acd5a19129b51d12bc7d1d29b81731da1c25
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 19:35:40 2020 +0100

    Fixed another unexpected CRLF

commit 9ef83a2a882b94550485b2d13ea7b7c15ed1b941
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 19:00:44 2020 +0100

    Handle more cases of unexpected newline

commit ca93155d87bd3451672e619386ae29a795f4fd7f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 18:47:08 2020 +0100

    Fixed second case of unexpected newline

commit 03db23f6912390fe2444435f4fb74864d40c6af0
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 18:39:03 2020 +0100

    Rename test fixture

commit 93b919ef82ebba1ba29801acc905864f34e76615
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 15:49:17 2020 +0100

    Handle unexpected CTRLF

commit 419d0503e9ba142459dda073a5ba410ccfe6e311
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 15:38:30 2020 +0100

    Minor changes

commit 8f220462d841ba5a235c89943528d2b39f1afc99
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 15:29:40 2020 +0100

    Minor change

commit 9e182f6c5ab66622b80bb06b0a52833368df9ed4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 15:19:56 2020 +0100

    Parse instruction line consisting of a number.

commit 7c6f6f05db524f152aca63626b2f1d12b99e9f41
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 00:14:22 2020 +0100

    Added missing test fixture to distributable

commit 23d739203eff5482361e2212977b20e66f873cbd
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 17 00:10:55 2020 +0100

    Added test parser

commit cdd6e87156a2c4b2ffee427c98bac1c52e16980a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 16 23:45:24 2020 +0100

    Use colon to force newline

commit 6160c066093c1b37d521b834fe3d86354e243400
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 16 23:37:50 2020 +0100

    Remove two leading whitespaces

commit 3c8fd5e973faa486f61bac7e9b9dbda7db2f49c6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 16 23:19:57 2020 +0100

    Handle section header before first instruction line

commit 93250825349f11bf04b43dfd2755e0f7b201b84b
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 16 23:09:13 2020 +0100

    Throw exception when encountering stray ingredient line

commit bba8ad50e3ef50d819782ad9b3ee4a5606d7a1fd
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 16 23:02:45 2020 +0100

    Use same code to parse section headers

commit d8dd24a4585c6b227100a4fe899a245a7d659401
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 16 22:54:50 2020 +0100

    ingredient -> body

commit 30ae8c822620d184689f8f1f3b0ed81ae9082789
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 16 22:38:33 2020 +0100

    Handling of newline characters in recipe

commit 307abb24a39f4dc376d0990a03199b98dee26692
Author: Jan Wedekind <jan@wedesoft.de>
Date:   Sat May 16 14:34:29 2020 +0100

    Check for Qt5 installation

commit ebd881e60e9ca474dd4631751d230143f2bff486
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 16 13:30:30 2020 +0100

    Minor simplification to parser

commit 994deaea3c15e8d65dad1b91221956baaf3ecd33
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 16 00:02:21 2020 +0100

    Add license

commit 7097236a34cdf267567190b958feec0c541cf28d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 15 23:50:42 2020 +0100

    Ignore newlines before sections

commit 823b417165a46ddf5481fdf6ed37172fdcb9fa03
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 15 23:35:36 2020 +0100

    Moved fixtures into subdirectory

commit f46986c4f3fa52576918f01b0bad85b17d9dc2ee
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 15 23:29:31 2020 +0100

    Minor changes

commit 5d9a95cd36dac5ccec36e312177fc580ca558ff4
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 15 23:25:51 2020 +0100

    Add instruction section

commit ea482d3027e8b5a18704c2a76d0917648ceac612
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 15 22:53:22 2020 +0100

    Put code and tests in separate subdirectories

commit 314364ff7c69a31660b0333c84d8674bf91052a1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 14 23:17:15 2020 +0100

    Handle section with spaces

commit 1a5fa6f1edce5c829121f090a7864a9b11057de1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 14 23:06:13 2020 +0100

    Move rules for ingredient section

commit 1be01510595542d5b1b1aee2a89759d3097b52af
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 14 23:04:56 2020 +0100

    Ingredient sections

commit f695f4af346af7a535087e828c75ada73c23c4c2
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 14 22:22:06 2020 +0100

    Added some error handling to the parser

commit 410d1735a34e8a8bfa80e5104939d1b4497172f9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 13 22:53:40 2020 +0100

    Added more corner cases of instruction beginnings

commit 878c5234052257b5b8b458041445b6a005d7f67a
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 13 22:25:25 2020 +0100

    Working on parsing of instructions

commit 2f259af81e85f1ca147b89278ad7b26a11cedfed
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Wed May 13 21:46:40 2020 +0100

    Count line numbers

commit c21a59cced569ea2110c27f46973b06517ee5ef6
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 12 23:49:51 2020 +0100

    Test parsing of two ingredients

commit d66aa2e6ae32e8bba39588e29d8d525a64bcd0ad
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 12 23:27:17 2020 +0100

    Add missing test fixture

commit f45ab0e5ba18ad4da1bfe9fcea03169bd6f63980
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 12 23:09:26 2020 +0100

    Parse ingredient continuation line

commit 5949f40690e95be19520f1782d66a487b743e064
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 12 23:01:11 2020 +0100

    Removed special threatment for preparation

commit e8e4d309e0851d10b75a5b24b07e738bf9596811
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 12 22:56:23 2020 +0100

    Parse ingredient without amount

commit ae81f498fc99cb5f992f5ef0d458068cead3dc15
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 12 22:49:40 2020 +0100

    composite number -> mixed number

commit ce46df170b72515165000278c1f72db8e706483f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Tue May 12 22:44:52 2020 +0100

    Parse composite numbers

commit b8323afd0136a2a6f6e02b85f809c29658495861
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 11 23:09:37 2020 +0100

    Parse fraction

commit 71b88449a92e3bb5f81dbcf17ea6716a51d252d9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 11 22:48:04 2020 +0100

    Renamed some lexer states

commit c774063115ce41214be83f7290c62db18542eecd
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 11 22:40:17 2020 +0100

    Parse preparation text of ingredient

commit 0001c0b17b63020c6d33a222507b889ba050da83
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Mon May 11 22:14:28 2020 +0100

    Parse one ingredient

commit 96d24b63c01d55b5c63a35449a3680db51869568
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 10 23:28:56 2020 +0100

    Add ingredient test fixture to makefile

commit 9a9cbaf36d0ae17a2fa0fc8b876e1c4c43ae7c19
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 10 23:26:24 2020 +0100

    added some missing files

commit cb18abfe75c6d6b931199a9d99cce48fff6633a1
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 10 23:22:25 2020 +0100

    Parse integer ingredient amount

commit 6d017a06ea2d523d38eb4bd741add11209101a6c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 10 22:42:45 2020 +0100

    Renamed test fixtures

commit 7584b7790f64406ab5f20ef7de75c26980f5f41f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 10 22:30:36 2020 +0100

    Test constructor of recipe

commit bf76666bbf6771db973d094608c83f254e640fef
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 10 22:20:40 2020 +0100

    Reset start state after parsing

commit fee780ff45b76bfd78d9650c62ce6664900dc223
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 10 21:33:24 2020 +0100

    Parse servings/yield of recipe

commit 8364153bdc770f3212b1bb9951e3c1b5dd61f419
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sun May 10 20:46:34 2020 +0100

    Parse recipe categories

commit 9ad7a3bb69f2dbb660b5828ca2b0680281ad84bc
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 9 23:33:04 2020 +0100

    Set window title

commit a24043c5395aa4d8dc19e738af63933fe01c8a62
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 9 23:32:56 2020 +0100

    Add missing UI file to distributable

commit 230613f6957a3f6644f9056919f0729d75c96646
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 9 23:19:59 2020 +0100

    Process new-line character

commit b50de3a53075d49c822389a78e116e7191ef341f
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 9 23:16:29 2020 +0100

    Parse title of recipe

commit 5f72d7615938921f4e3d6b653880585ab0237aa9
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 9 21:55:47 2020 +0100

    Detect recipes using ----- as separator

commit b480489c44e2b0ff46c6bdbe794536250f631be3
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 9 17:01:27 2020 +0100

    Split two recipes

commit 8dc482c38e024ac9cd27407e2ec4a946c28b35c0
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Sat May 9 15:48:23 2020 +0100

    Handle Windows CR+LF

commit 940b55d715218b9ff77ace3b4ee23a97e71a90c2
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 8 23:25:36 2020 +0100

    Method to partition file into recipes

commit c73be60772d44f84b70ac4f9dfd122b9fb4d0448
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 8 22:54:37 2020 +0100

    Test empty recipe file

commit e2edb13ddf3d2854c8d35cbb68715225c9ae7012
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Fri May 8 22:35:46 2020 +0100

    Added empty test suite

commit a3dddae8e26fea0ed77f5700a3a531a95d994969
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 7 22:34:36 2020 +0100

    Added README.md

commit 2645d9af071da12948f77f8917106bcc99fb469e
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 7 22:33:57 2020 +0100

    Create main window

commit 958e4378f8d0c955cf0512dbbfe536a1ede33b3c
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 7 22:03:50 2020 +0100

    Compile with Qt5 options

commit 74ac6865b7b9364f0e68e15c96962221b8f2dc0d
Author: Jan Wedekind (Dr) <jan@wedesoft.de>
Date:   Thu May 7 21:57:40 2020 +0100

    Initial commit
